-- Version: 8.0 8.0.0.40
-- File used only for Simulation

library ieee;
use ieee.std_logic_1164.all;
library fusion;
use fusion.all;

entity config_top is

    port( RST : in    std_logic;
          CSn : in    std_logic;
          CLK : in    std_logic;
          DI  : in    std_logic;
          DO  : out   std_logic
        );

end config_top;

architecture DEF_ARCH of config_top is 

  component MX2A
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          S : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component OR2A
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component NOR3B
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component IOIN_IB
    port( YIN : in    std_logic := 'U';
          Y   : out   std_logic
        );
  end component;

  component DFN1C1
    port( D   : in    std_logic := 'U';
          CLK : in    std_logic := 'U';
          CLR : in    std_logic := 'U';
          Q   : out   std_logic
        );
  end component;

  component XOR2
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component AND3
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component XNOR2
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component MX2
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          S : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component NOR3C
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component DFN1E1C1
    port( D   : in    std_logic := 'U';
          CLK : in    std_logic := 'U';
          CLR : in    std_logic := 'U';
          E   : in    std_logic := 'U';
          Q   : out   std_logic
        );
  end component;

  component OA1
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component DFN0C1
    port( D   : in    std_logic := 'U';
          CLK : in    std_logic := 'U';
          CLR : in    std_logic := 'U';
          Q   : out   std_logic
        );
  end component;

  component MAJ3
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component AO1A
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component NOR2A
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component OR2
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component OR3B
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component OA1B
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component NOR3
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component INV
    port( A : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component AX1C
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component OR2B
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component AND2
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component OR3A
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component NOR2B
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component CLKSRC
    port( A : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component AX1
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component MX2C
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          S : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component OR3
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component OR3C
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component DFN1E1P1
    port( D   : in    std_logic := 'U';
          CLK : in    std_logic := 'U';
          PRE : in    std_logic := 'U';
          E   : in    std_logic := 'U';
          Q   : out   std_logic
        );
  end component;

  component AO1D
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component NOR3A
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component AO1C
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component NOR2
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component AO1B
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component DFN1P1
    port( D   : in    std_logic := 'U';
          CLK : in    std_logic := 'U';
          PRE : in    std_logic := 'U';
          Q   : out   std_logic
        );
  end component;

  component MIN3
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component XA1A
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component AO1
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component AOI1B
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component IOPAD_IN
    port( PAD : in    std_logic := 'U';
          Y   : out   std_logic
        );
  end component;

  component NVM
    generic (MEMORYFILE:string := "");

    port( RD               : out   std_logic_vector(31 downto 0);
          BUSY             : out   std_logic;
          STATUS           : out   std_logic_vector(1 downto 0);
          ADDR             : in    std_logic_vector(17 downto 0) := (others => 'U');
          WD               : in    std_logic_vector(31 downto 0) := (others => 'U');
          DATAWIDTH        : in    std_logic_vector(1 downto 0) := (others => 'U');
          REN              : in    std_logic := 'U';
          WEN              : in    std_logic := 'U';
          PROGRAM          : in    std_logic := 'U';
          SPAREPAGE        : in    std_logic := 'U';
          AUXBLOCK         : in    std_logic := 'U';
          READNEXT         : in    std_logic := 'U';
          ERASEPAGE        : in    std_logic := 'U';
          UNPROTECTPAGE    : in    std_logic := 'U';
          DISCARDPAGE      : in    std_logic := 'U';
          OVERWRITEPROTECT : in    std_logic := 'U';
          PAGELOSSPROTECT  : in    std_logic := 'U';
          CLK              : in    std_logic := 'U';
          RESET            : in    std_logic := 'U';
          PAGESTATUS       : in    std_logic := 'U';
          OVERWRITEPAGE    : in    std_logic := 'U';
          PIPE             : in    std_logic := 'U';
          LOCKREQUEST      : in    std_logic := 'U'
        );
  end component;

  component OAI1
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component BUFF
    port( A : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component AOI1
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component OA1A
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component IOPAD_TRI
    port( D   : in    std_logic := 'U';
          E   : in    std_logic := 'U';
          PAD : out   std_logic
        );
  end component;

  component RAM4K9
    generic (MEMORYFILE:string := "");

    port( ADDRA11 : in    std_logic := 'U';
          ADDRA10 : in    std_logic := 'U';
          ADDRA9  : in    std_logic := 'U';
          ADDRA8  : in    std_logic := 'U';
          ADDRA7  : in    std_logic := 'U';
          ADDRA6  : in    std_logic := 'U';
          ADDRA5  : in    std_logic := 'U';
          ADDRA4  : in    std_logic := 'U';
          ADDRA3  : in    std_logic := 'U';
          ADDRA2  : in    std_logic := 'U';
          ADDRA1  : in    std_logic := 'U';
          ADDRA0  : in    std_logic := 'U';
          ADDRB11 : in    std_logic := 'U';
          ADDRB10 : in    std_logic := 'U';
          ADDRB9  : in    std_logic := 'U';
          ADDRB8  : in    std_logic := 'U';
          ADDRB7  : in    std_logic := 'U';
          ADDRB6  : in    std_logic := 'U';
          ADDRB5  : in    std_logic := 'U';
          ADDRB4  : in    std_logic := 'U';
          ADDRB3  : in    std_logic := 'U';
          ADDRB2  : in    std_logic := 'U';
          ADDRB1  : in    std_logic := 'U';
          ADDRB0  : in    std_logic := 'U';
          DINA8   : in    std_logic := 'U';
          DINA7   : in    std_logic := 'U';
          DINA6   : in    std_logic := 'U';
          DINA5   : in    std_logic := 'U';
          DINA4   : in    std_logic := 'U';
          DINA3   : in    std_logic := 'U';
          DINA2   : in    std_logic := 'U';
          DINA1   : in    std_logic := 'U';
          DINA0   : in    std_logic := 'U';
          DINB8   : in    std_logic := 'U';
          DINB7   : in    std_logic := 'U';
          DINB6   : in    std_logic := 'U';
          DINB5   : in    std_logic := 'U';
          DINB4   : in    std_logic := 'U';
          DINB3   : in    std_logic := 'U';
          DINB2   : in    std_logic := 'U';
          DINB1   : in    std_logic := 'U';
          DINB0   : in    std_logic := 'U';
          WIDTHA0 : in    std_logic := 'U';
          WIDTHA1 : in    std_logic := 'U';
          WIDTHB0 : in    std_logic := 'U';
          WIDTHB1 : in    std_logic := 'U';
          PIPEA   : in    std_logic := 'U';
          PIPEB   : in    std_logic := 'U';
          WMODEA  : in    std_logic := 'U';
          WMODEB  : in    std_logic := 'U';
          BLKA    : in    std_logic := 'U';
          BLKB    : in    std_logic := 'U';
          WENA    : in    std_logic := 'U';
          WENB    : in    std_logic := 'U';
          CLKA    : in    std_logic := 'U';
          CLKB    : in    std_logic := 'U';
          RESET   : in    std_logic := 'U';
          DOUTA8  : out   std_logic;
          DOUTA7  : out   std_logic;
          DOUTA6  : out   std_logic;
          DOUTA5  : out   std_logic;
          DOUTA4  : out   std_logic;
          DOUTA3  : out   std_logic;
          DOUTA2  : out   std_logic;
          DOUTA1  : out   std_logic;
          DOUTA0  : out   std_logic;
          DOUTB8  : out   std_logic;
          DOUTB7  : out   std_logic;
          DOUTB6  : out   std_logic;
          DOUTB5  : out   std_logic;
          DOUTB4  : out   std_logic;
          DOUTB3  : out   std_logic;
          DOUTB2  : out   std_logic;
          DOUTB1  : out   std_logic;
          DOUTB0  : out   std_logic
        );
  end component;

  component PLL
    generic (VCOFREQUENCY:real := 0.0);

    port( CLKA      : in    std_logic := 'U';
          EXTFB     : in    std_logic := 'U';
          POWERDOWN : in    std_logic := 'U';
          GLA       : out   std_logic;
          LOCK      : out   std_logic;
          GLB       : out   std_logic;
          YB        : out   std_logic;
          GLC       : out   std_logic;
          YC        : out   std_logic;
          OADIV0    : in    std_logic := 'U';
          OADIV1    : in    std_logic := 'U';
          OADIV2    : in    std_logic := 'U';
          OADIV3    : in    std_logic := 'U';
          OADIV4    : in    std_logic := 'U';
          OADIVHALF : in    std_logic := 'U';
          OADIVRST  : in    std_logic := 'U';
          OAMUX0    : in    std_logic := 'U';
          OAMUX1    : in    std_logic := 'U';
          OAMUX2    : in    std_logic := 'U';
          DLYGLA0   : in    std_logic := 'U';
          DLYGLA1   : in    std_logic := 'U';
          DLYGLA2   : in    std_logic := 'U';
          DLYGLA3   : in    std_logic := 'U';
          DLYGLA4   : in    std_logic := 'U';
          OBDIV0    : in    std_logic := 'U';
          OBDIV1    : in    std_logic := 'U';
          OBDIV2    : in    std_logic := 'U';
          OBDIV3    : in    std_logic := 'U';
          OBDIV4    : in    std_logic := 'U';
          OBMUX0    : in    std_logic := 'U';
          OBMUX1    : in    std_logic := 'U';
          OBMUX2    : in    std_logic := 'U';
          DLYYB0    : in    std_logic := 'U';
          DLYYB1    : in    std_logic := 'U';
          DLYYB2    : in    std_logic := 'U';
          DLYYB3    : in    std_logic := 'U';
          DLYYB4    : in    std_logic := 'U';
          DLYGLB0   : in    std_logic := 'U';
          DLYGLB1   : in    std_logic := 'U';
          DLYGLB2   : in    std_logic := 'U';
          DLYGLB3   : in    std_logic := 'U';
          DLYGLB4   : in    std_logic := 'U';
          OCDIV0    : in    std_logic := 'U';
          OCDIV1    : in    std_logic := 'U';
          OCDIV2    : in    std_logic := 'U';
          OCDIV3    : in    std_logic := 'U';
          OCDIV4    : in    std_logic := 'U';
          OCMUX0    : in    std_logic := 'U';
          OCMUX1    : in    std_logic := 'U';
          OCMUX2    : in    std_logic := 'U';
          DLYYC0    : in    std_logic := 'U';
          DLYYC1    : in    std_logic := 'U';
          DLYYC2    : in    std_logic := 'U';
          DLYYC3    : in    std_logic := 'U';
          DLYYC4    : in    std_logic := 'U';
          DLYGLC0   : in    std_logic := 'U';
          DLYGLC1   : in    std_logic := 'U';
          DLYGLC2   : in    std_logic := 'U';
          DLYGLC3   : in    std_logic := 'U';
          DLYGLC4   : in    std_logic := 'U';
          FINDIV0   : in    std_logic := 'U';
          FINDIV1   : in    std_logic := 'U';
          FINDIV2   : in    std_logic := 'U';
          FINDIV3   : in    std_logic := 'U';
          FINDIV4   : in    std_logic := 'U';
          FINDIV5   : in    std_logic := 'U';
          FINDIV6   : in    std_logic := 'U';
          FBDIV0    : in    std_logic := 'U';
          FBDIV1    : in    std_logic := 'U';
          FBDIV2    : in    std_logic := 'U';
          FBDIV3    : in    std_logic := 'U';
          FBDIV4    : in    std_logic := 'U';
          FBDIV5    : in    std_logic := 'U';
          FBDIV6    : in    std_logic := 'U';
          FBDLY0    : in    std_logic := 'U';
          FBDLY1    : in    std_logic := 'U';
          FBDLY2    : in    std_logic := 'U';
          FBDLY3    : in    std_logic := 'U';
          FBDLY4    : in    std_logic := 'U';
          FBSEL0    : in    std_logic := 'U';
          FBSEL1    : in    std_logic := 'U';
          XDLYSEL   : in    std_logic := 'U';
          VCOSEL0   : in    std_logic := 'U';
          VCOSEL1   : in    std_logic := 'U';
          VCOSEL2   : in    std_logic := 'U'
        );
  end component;

  component XA1C
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component IOTRI_OB_EB
    port( D    : in    std_logic := 'U';
          E    : in    std_logic := 'U';
          DOUT : out   std_logic;
          EOUT : out   std_logic
        );
  end component;

  component XA1B
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component RCOSC
    port( CLKOUT : out   std_logic
        );
  end component;

  component XNOR3
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component AO13
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component OA1C
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component GND
    port(Y : out std_logic); 
  end component;

  component VCC
    port(Y : out std_logic); 
  end component;

    signal CSn_c, DI_c_1, DI_c, DI_c_0, RST_c, CLK_c, 
        \U1.rdata[7]\, un5_do_0_a2_2_a2, clk100M, \VCC\, clk60M, 
        \nvm_din[0]\, \nvm_din[1]\, \nvm_din[2]\, \nvm_din[3]\, 
        \nvm_din[4]\, \nvm_din[5]\, \nvm_din[6]\, \nvm_din[7]\, 
        \nvm_addr[0]\, \nvm_addr[1]\, \nvm_addr[2]\, 
        \nvm_addr[3]\, \nvm_addr[4]\, \nvm_addr[5]\, 
        \nvm_addr[6]\, \nvm_addr[7]\, \nvm_addr[8]\, 
        \nvm_addr[9]\, \nvm_addr[10]\, \nvm_addr[11]\, 
        \nvm_addr[12]\, \nvm_addr[13]\, \nvm_addr[14]\, 
        \nvm_addr[15]\, \nvm_addr[16]\, \nvm_addr[17]\, 
        \nvm_addr[18]\, \nvm_dout[0]\, \nvm_dout[1]\, 
        \nvm_dout[2]\, \nvm_dout[3]\, \nvm_dout[4]\, 
        \nvm_dout[5]\, \nvm_dout[6]\, \nvm_dout[7]\, 
        \nvm_addr_0[18]\, nvm_pgm, nvm_read, nvm_we, nvm_erase, 
        nvm_busy, \U2/berase_net_1\, \U2/bpgm_net_1\, 
        \U2/bwe_net_1\, \U2/aerase_net_1\, \U2/apgm_net_1\, 
        \U2/awe_net_1\, \U2/adata[0]\, \U2/bdata[0]\, 
        \U2/adata[1]\, \U2/bdata[1]\, \U2/adata[2]\, 
        \U2/bdata[2]\, \U2/adata[4]\, \U2/bdata[4]\, 
        \U2/adata[5]\, \U2/bdata[5]\, \U2/adata[6]\, 
        \U2/bdata[6]\, \U2/adata[7]\, \U2/bdata[7]\, \U2/busy2\, 
        \U2/busy1\, \U2/adata[3]\, \U2/bdata[3]\, 
        \U1/state2_0[8]_net_1\, \U1/state2_tr2_i_0_net_1\, 
        \U1/N_1783_0\, \U1/bit_cnt[0]_net_1\, 
        \U1/bit_cnt[2]_net_1\, \U1/bit_cnt[1]_net_1\, 
        \U1/bit_cnt_0[0]_net_1\, \U1/bit_cnt_i[0]_net_1\, 
        \U1/bit_cnt_0[1]_net_1\, \U1/SUM1\, 
        \U1/bit_cnt_0[2]_net_1\, \U1/SUM2\, \U1/state_0[7]_net_1\, 
        \U1/statese_i_0_net_1\, \U1/state_0[4]_net_1\, 
        \U1/state[5]_net_1\, \U1/state2_0[1]_net_1\, 
        \U1/N_465_i_0\, \U1/state2_0[9]_net_1\, 
        \U1/state2_ns_i_a2_0_a2_0_a2[0]_net_1\, \U1/N_1471_0\, 
        \U1/state2[0]_net_1\, \U1/N_1371_0\, 
        \U1/addr_ld_0_sqmuxa_0\, \U1/N_1924\, \U1/N_1538_0\, 
        \U1/N_1534\, \U1/xaddr[18]_net_1\, \U1/raddr[18]\, 
        \U1/N_1669_0\, \U1/state[3]_net_1\, \U1/N_1922\, 
        \U1/DWACT_ADD_CI_0_g_array_2[0]\, 
        \U1/DWACT_ADD_CI_0_g_array_1[0]\, 
        \U1/DWACT_ADD_CI_0_pog_array_2[0]\, 
        \U1/DWACT_ADD_CI_0_g_array_1_0[0]\, 
        \U1/DWACT_ADD_CI_0_TMP[0]\, \U1/start[1]_net_1\, 
        \U1/DWACT_ADD_CI_0_g_array_2_0[0]\, 
        \U1/DWACT_ADD_CI_0_g_array_11[0]\, \U1/start[4]_net_1\, 
        \U1/start[2]_net_1\, \U1/start[6]_net_1\, 
        \U1/DWACT_ADD_CI_0_g_array_11_0[0]\, 
        \U1/DWACT_ADD_CI_0_pog_array_1_1_0[0]\, 
        \U1/DWACT_ADD_CI_0_TMP_0[0]\, \U1/waddr[1]_net_1\, 
        \U1/waddr[4]_net_1\, \U1/waddr[2]_net_1\, 
        \U1/waddr[6]_net_1\, \U1/DWACT_ADD_CI_0_g_array_1_1[0]\, 
        \U1/DWACT_ADD_CI_0_TMP_1[0]\, \U1/wptr[1]_net_1\, 
        \U1/DWACT_ADD_CI_0_g_array_2_1[0]\, 
        \U1/DWACT_ADD_CI_0_g_array_11_1[0]\, \U1/wptr[4]_net_1\, 
        \U1/wptr[2]_net_1\, \U1/wptr[6]_net_1\, 
        \U1/bit_cnt_i[2]_net_1\, \U1/N_1923_i_net_1\, 
        \U1/un2_buf_we_0_a2_0_a2_net_1\, \U1/bit_cnt_i[1]_net_1\, 
        \U1/rdata_4_2_0_0[2]\, \U1/stat[2]_net_1\, \U1/N_1803\, 
        \U1/N_1708\, \U1/rdata_4_2_0_0[3]\, \U1/stat[3]_net_1\, 
        \U1/N_1711\, \U1/rdata_4_i_0_0[4]\, \U1/stat[4]_net_1\, 
        \U1/N_1756\, \U1/rdata_4_i_0_0[1]\, \U1/webit_net_1\, 
        \U1/N_1745\, \U1/state2_ns_i_a2_i_0_0[9]_net_1\, 
        \U1/state2_ns_i_a2_i_0_a2_0[9]_net_1\, \U1/N_1739\, 
        \U1/state_ns_i_a2_0_0_2[7]_net_1\, \U1/N_1697_1\, 
        \U1/state_ns_i_a2_0_0_a2_0[7]\, 
        \U1/state_ns_i_a2_0_0_1[7]_net_1\, \U1/N_1699\, 
        \U1/N_1700\, \U1/N_1701_i\, \U1/state2_tr12_i_0_0_net_1\, 
        \U1/state2[6]_net_1\, \U1/N_1730\, 
        \U1/rdata_4_2_0_a2_0[0]\, \U1/wip_net_1\, 
        \U1/cmnd[2]_net_1\, \U1/state2_ns_i_a2_0_0_1[8]_net_1\, 
        \U1/N_1705\, \U1/N_1704\, \U1/N_1703\, \U1/N_1799\, 
        \U1/N_1781\, \U1/state_ns_i_a2_i_a2_0[5]\, 
        \U1/cmnd[0]_net_1\, \U1/N_1778\, \U1/state2[5]_net_1\, 
        \U1/N_1801\, \U1/state_tr8_0_a2_0_a2_1_net_1\, 
        \U1/N_1528\, \U1/state_ns_i_a2_0_0_a2_3_1[7]_net_1\, 
        \U1/cmnd[5]_net_1\, \U1/N_1796\, 
        \U1/state_tr0_3_a2_1_0_net_1\, \U1/cmnd[6]_net_1\, 
        \U1/state_ns_i_a2_0_0_a2_1_1[7]_net_1\, \U1/N_1699_1\, 
        \U1/state_ns_i_a2_i_0_a2_0_0[4]_net_1\, 
        \U1/un33_state_0_0_a2_0\, \U1/un89_state_i_i_a2_0\, 
        \U1/state_tr0_3_a2_3_1_net_1\, \U1/cmnd[4]_net_1\, 
        \U1/cmnd[3]_net_1\, 
        \U1/state2_ns_i_a2_i_0_a2_7_6[9]_net_1\, 
        \U1/un3_finished_4_i_0\, \U1/un3_finished_5_i_0\, 
        \U1/state2_ns_i_a2_i_0_a2_7_1[9]_net_1\, 
        \U1/state2_ns_i_a2_i_0_a2_7_5[9]_net_1\, 
        \U1/un3_finished_0_i_0\, \U1/un3_finished_1_i_0\, 
        \U1/state2_ns_i_a2_i_0_a2_7_3[9]_net_1\, 
        \U1/waddr[3]_net_1\, \U1/wptr[3]_net_1\, 
        \U1/un3_finished_2_i_0\, 
        \U1/state2_ns_i_a2_i_0_a2_7_0[9]_net_1\, 
        \U1/waddr[7]_net_1\, \U1/wptr[7]_net_1\, 
        \U1/waddr[8]_net_1\, 
        \U1/state2_ns_i_a2_0_0_a2_2_6[8]_net_1\, 
        \U1/xaddr[15]_net_1\, \U1/xaddr[7]_net_1\, 
        \U1/state2_ns_i_a2_0_0_a2_2_4[8]_net_1\, 
        \U1/state2_ns_i_a2_0_0_a2_2_5[8]_net_1\, 
        \U1/xaddr[12]_net_1\, \U1/xaddr[14]_net_1\, 
        \U1/state2_ns_i_a2_0_0_a2_2_3[8]_net_1\, 
        \U1/xaddr[8]_net_1\, \U1/xaddr[10]_net_1\, 
        \U1/xaddr[9]_net_1\, \U1/xaddr[13]_net_1\, 
        \U1/xaddr[11]_net_1\, 
        \U1/state_ns_i_a2_0_0_a2_4_0[7]_net_1\, 
        \U1/cmnd[7]_net_1\, \U1/cmnd[1]_net_1\, 
        \U1/state2_tr12_i_0_a2_0_16_net_1\, 
        \U1/state2_tr12_i_0_a2_0_10_net_1\, 
        \U1/state2_tr12_i_0_a2_0_11_net_1\, 
        \U1/state2_tr12_i_0_a2_0_12_net_1\, 
        \U1/state2_tr12_i_0_a2_0_15_net_1\, 
        \U1/state2_tr12_i_0_a2_0_9_net_1\, 
        \U1/state2_tr12_i_0_a2_0_6_net_1\, 
        \U1/state2_tr12_i_0_a2_0_5_net_1\, 
        \U1/state2_tr12_i_0_a2_0_7_net_1\, \U1/xaddr[2]_net_1\, 
        \U1/xaddr[4]_net_1\, \U1/state2_tr12_i_0_a2_0_0_net_1\, 
        \U1/state2_tr12_i_0_a2_0_2_net_1\, \U1/xaddr[5]_net_1\, 
        \U1/xaddr[1]_net_1\, \U1/xaddr[3]_net_1\, 
        \U1/xaddr[0]_net_1\, \U1/xaddr[6]_net_1\, 
        \U1/xaddr[17]_net_1\, \U1/xaddr[16]_net_1\, 
        \U1/state_tr0_3_a2_2_1_net_1\, 
        \U1/state_tr0_3_a2_2_0_net_1\, 
        \U1/state2_tr12_i_0_o2_0_3_net_1\, 
        \U1/state2_tr12_i_0_o2_0_2_net_1\, 
        \U1/state2_tr12_i_0_o2_0_1_net_1\, 
        \U1/state2_ns_i_a2_0_0_a2_5_1[8]_net_1\, 
        \U1/state2_ns_i_a2_0_0_a2_5_0[8]_net_1\, \U1/sbulk_net_1\, 
        \U1/ADD_19x19_slow_I15_CO1_5\, \U1/raddr[11]\, 
        \U1/ADD_19x19_slow_I15_CO1_3\, \U1/raddr[10]\, 
        \U1/raddr[13]\, \U1/ADD_19x19_slow_I15_CO1_1\, 
        \U1/raddr[12]\, \U1/raddr[15]\, \U1/I8_un1_CO1\, 
        \U1/raddr[14]\, \U1/addr_ld_0_sqmuxa_0_a2_0_1_net_1\, 
        \U1/N_1798\, \U1/N_1771\, 
        \U1/un10_i_a2_0_a2_0_a2_0[2]_net_1\, \U1/state[6]_net_1\, 
        \U1/ssector_1_0_0_a2_1\, \U1/N_1589\, 
        \U1/dly_sector_net_1\, \U1/sbulk_1_0_0_a2_0_1\, 
        \U1/dly_bulk_net_1\, \U1/N_1742_1\, 
        \U1/un5_esector_i_0_0_net_1\, \U1/N_1526_i_0\, 
        \U1/N_1731\, \U1/swrite_1_0_0_a2_1\, \U1/N_1551\, 
        \U1/dly_write_i\, \U1/N_897_3\, 
        \U1/un6_ewrite_i_0_1_net_1\, \U1/N_1733\, \U1/N_1734\, 
        \U1/un6_ewrite_i_0_3_0_net_1\, \U1/last[5]_net_1\, 
        \U1/last[3]_net_1\, \U1/un5_esector_i_0_o2_0_net_1\, 
        \U1/N_1530\, \U1/un1_end_adr[17]\, \U1/un1_end_adr[18]\, 
        \U1/N_1587\, \U1/N_1529\, \U1/N_1782\, \U1/N_1586\, 
        \U1/N_1802\, \U1/last_i_0[2]\, \U1/last_i_0[1]\, 
        \U1/N_897_i_0\, \U1/N_897_2\, \U1/N_1662\, \U1/N_1693\, 
        \U1/N_1789_i\, \U1/rdata_4[3]\, \U1/N_1784\, 
        \U1/raddr[17]\, \U1/N_893_i_0\, \U1/N_1729\, \U1/N_1765\, 
        \U1/N_1588_i_0\, \U1/N_1804\, \U1/state2_tr12_i_0_net_1\, 
        \U1/N_1572\, \U1/state2_ns_i_a2_i_0[3]_net_1\, 
        \U1/N_1735\, \U1/swrite_net_1\, \U1/N_1755\, \U1/N_1774\, 
        \U1/N_1525\, \U1/N_1175\, \U1/N_1754\, \U1/un2_xaddr[7]\, 
        \U1/N_1552\, \U1/I6_un1_CO1\, \U1/N_1706\, \U1/N_1773\, 
        \U1/N_1523\, \U1/state2_ns[7]\, \U1/state2[7]_net_1\, 
        \U1/un10_i_a2_0_a2_1_a2[0]_net_1\, \U1/state[2]_net_1\, 
        \U1/N_1768\, \U1/N_1777\, \U1/N_1769_i\, \U1/N_1770\, 
        \U1/rdata_4[0]\, \U1/N_1707\, \U1/N_1522\, 
        \U1/rdata_4[2]\, \U1/rdata_4_i_0[1]\, \U1/rdata_4_i_0[4]\, 
        \U1/N_1690\, \U1/wena_dly_i\, 
        \U1/iwebit_1_0_a2_0_0_net_1\, \U1/N_1767\, \U1/N_1740\, 
        \U1/un5_ebulk_0_a2_0_a2_net_1\, \U1/state_ns[6]\, 
        \U1/un10_i_a2_0_a2_0_a2[2]_net_1\, \U1/state[0]_net_1\, 
        \U1/N_1769_1\, \U1/N_1770_1\, \U1/N_430_i_0\, 
        \U1/N_1698_1\, \U1/state2_ns_i_a2_i_0[9]_net_1\, 
        \U1/N_1738\, \U1/state2_ns_i_a2_0_0_o2_0[8]_net_1\, 
        \U1/N_1927_tz\, \U1/N_1557\, \U1/xaddr_4_i_0[18]\, 
        \U1/xaddr_4_i_0[17]\, \U1/xaddr_4_i_0[16]\, 
        \U1/raddr[16]\, \U1/N220_1\, \U1/N211\, \U1/raddr[1]\, 
        \U1/I0_un1_CO1\, \U1/I2_un1_CO1\, \U1/raddr[2]\, 
        \U1/N215\, \U1/raddr[3]\, \U1/I4_un1_CO1\, \U1/raddr[4]\, 
        \U1/N219\, \U1/raddr[5]\, \U1/waddr[5]_net_1\, 
        \U1/I6_un1_CO1_0\, \U1/raddr[6]\, \U1/N223\, 
        \U1/raddr[7]\, \U1/raddr[8]\, \U1/xaddr_4[0]\, 
        \U1/N_1617\, \U1/xaddr_4[1]\, \U1/N_1618\, 
        \U1/xaddr_4[2]\, \U1/N_1619\, \U1/xaddr_4[3]\, 
        \U1/N_1620\, \U1/xaddr_4[4]\, \U1/N_1621\, 
        \U1/xaddr_4[5]\, \U1/N_1622\, \U1/xaddr_4[6]\, 
        \U1/N_1623\, \U1/xaddr_4[7]\, \U1/N_1624\, 
        \U1/xaddr_4[8]\, \U1/N_1538\, \U1/N_1625\, 
        \U1/xaddr_4[9]\, \U1/N_1626\, \U1/xaddr_4[11]\, 
        \U1/N_1628\, \U1/addr_ld_0_sqmuxa\, \U1/xaddr_4[12]\, 
        \U1/N_1629\, \U1/xaddr_4[13]\, \U1/N_1630\, 
        \U1/xaddr_4[14]\, \U1/N_1631\, \U1/xaddr_4[15]\, 
        \U1/N_1632\, \U1/xaddr_4[16]\, \U1/N_1720\, 
        \U1/xaddr_4[17]\, \U1/N_1723\, \U1/xaddr_4[18]\, 
        \U1/N_1726\, \U1/I0_un1_CO1_0\, \U1/I2_un1_CO1_0\, 
        \U1/I4_un1_CO1_0\, \U1/N226\, \U1/N234\, \U1/N242\, 
        \U1/N250\, \U1/I16_un1_CO1\, \U1/N258\, 
        \U1/un2_xaddr[15]\, \U1/un2_xaddr[14]\, 
        \U1/un2_xaddr[13]\, \U1/un2_xaddr[12]\, 
        \U1/un2_xaddr[11]\, \U1/un2_xaddr[9]\, \U1/un2_xaddr[6]\, 
        \U1/un2_xaddr[5]\, \U1/un2_xaddr[4]\, \U1/un2_xaddr[3]\, 
        \U1/un2_xaddr[2]\, \U1/un2_xaddr[1]\, \U1/un2_xaddr[0]\, 
        \U1/waddr[0]_net_1\, \U1/raddr[0]\, \U1/wptr[5]_net_1\, 
        \U1/wptr[0]_net_1\, \U1/N_1669\, \U1/N_1687\, \U1/N_1692\, 
        \U1/ssector_net_1\, \U1/rdata[1]_net_1\, \U1/N_1714\, 
        \U1/rdata[4]_net_1\, \U1/N_1716\, \U1/rdata[5]_net_1\, 
        \U1/N_1718\, \U1/rdata[6]_net_1\, \U1/N_1926\, \U1/wip_1\, 
        \U1/N_1582\, \U1/rdata[0]_net_1\, 
        \U1/un10_i_a2_0_a2_1_a2[1]_net_1\, \U1/rdata[3]_net_1\, 
        \U1/un146_state\, \U1/un54_state\, \U1/N_1775\, 
        \U1/state[1]_net_1\, \U1/N_1546\, \U1/N_1805\, 
        \U1/un19_state\, \U1/un26_state\, \U1/N_1806\, 
        \U1/un33_state\, \U1/N_1753_1\, \U1/un47_state\, 
        \U1/N_1680_1\, \U1/state[4]_net_1\, \U1/un61_state\, 
        \U1/un68_state\, \U1/un75_state\, \U1/un117_state\, 
        \U1/un124_state\, \U1/un131_state\, \U1/sbulk_1\, 
        \U1/iwebit_1\, \U1/N_1592\, \U1/ssector_1\, \U1/N_1371\, 
        \U1/N_1374\, \U1/rdata_4[5]\, \U1/rdata_4[6]\, 
        \U1/rdata_4[7]\, \U1/un21_rstn_i_a2_i\, \U1/N_1486\, 
        \U1/un2_idis_0_o2_net_1\, \U1/wdis_dly_net_1\, 
        \U1/N_1598\, \U1/N_1599\, \U1/wptr_4_i_m2[0]\, 
        \U1/DWACT_ADD_CI_0_partial_sum[0]\, \U1/start[0]_net_1\, 
        \U1/wptr_4_i_m2[1]\, \U1/I_31_0\, \U1/wptr_4_i_m2[2]\, 
        \U1/I_32\, \U1/wptr_4_i_m2[3]\, \U1/I_30\, 
        \U1/start[3]_net_1\, \U1/state2[8]_net_1\, 
        \U1/wptr_4_i_m2[4]\, \U1/I_28\, \U1/wptr_4_i_m2[5]\, 
        \U1/I_33\, \U1/start[5]_net_1\, \U1/wptr_4_i_m2[6]\, 
        \U1/I_27\, \U1/wptr_4_i_m2[7]\, \U1/I_34\, 
        \U1/start[7]_net_1\, \U1/N_1608\, \U1/I_5\, \U1/N_1609\, 
        \U1/I_13\, \U1/N_1610\, \U1/I_24\, \U1/N_1611\, \U1/I_38\, 
        \U1/N_1612\, \U1/I_52\, \U1/N_1615\, \U1/I_91\, 
        \U1/N_1616\, \U1/I_105\, \U1/state2[1]_net_1\, 
        \U1/raddr[9]\, \U1/state2[9]_net_1\, \U1/N_1652\, 
        \U1/I_31\, \U1/N_1654\, \U1/I_9\, \U1/N_1655\, \U1/I_20\, 
        \U1/N_1656\, \U1/I_45\, \U1/N_1657\, \U1/I_56\, 
        \U1/N_1658\, \U1/I_73\, \U1/N_1660\, \U1/I_98\, 
        \U1/state2_tr11_i_0_net_1\, 
        \U1/state2_ns_i_a2_i[2]_net_1\, \U1/N_1785\, \U1/N_1776\, 
        \U1/un96_state\, \U1/un40_state\, \U1/state_ns[1]\, 
        \U1/raddr_0_21\, \U1/N_1932_i\, \U1/un12_state_0_0_a2_0\, 
        \U1/N_1661\, \U1/I_115\, \U1/un2_xaddr[8]\, \U1/N_1614\, 
        \U1/I_77\, \U1/N_1613\, \U1/I_66\, \U1/N_1488\, 
        \U1/un138_state\, \U1/un103_state\, \U1/N_1783\, 
        \U1/N_1659\, \U1/I_84\, \U1/state2_ns_i_a2_i_0[4]_net_1\, 
        \U1/un110_state\, \U1/I16_un1_CO1_0\, \U1/last[4]_net_1\, 
        \U1/last[0]_net_1\, \U1/N_1627\, \U1/un2_xaddr[10]\, 
        \U1/un1_end_adr[16]\, \U1/swrite_1\, \U1/rdata[2]_net_1\, 
        \U1/xaddr_4[10]\, \U1/state[7]_net_1\, \U1/wdata[0]\, 
        \U1/wdata[1]\, \U1/wdata[2]\, \U1/wdata[3]\, 
        \U1/wdata[4]\, \U1/wdata[5]\, \U1/wdata[6]\, 
        \U1/stat[0]_net_1\, \U1/stat[1]_net_1\, 
        \U1/DWACT_ADD_CI_0_partial_sum_0[0]\, \U1/start_3[1]\, 
        \U1/start_3[2]\, \U1/start_3[3]\, \U1/start_3[4]\, 
        \U1/start_3[5]\, \U1/start_3[6]\, \U1/start_3[7]\, 
        \U1/DWACT_ADD_CI_0_partial_sum_1[0]\, \U1/waddr_3[1]\, 
        \U1/waddr_3[2]\, \U1/waddr_3[3]\, \U1/waddr_3[4]\, 
        \U1/waddr_3[5]\, \U1/waddr_3[6]\, \U1/waddr_3[7]\, 
        \U1/waddr_3[8]\, \U1/DWACT_FINC_E[0]\, 
        \U1/DWACT_FINC_E[4]\, \U1/DWACT_FINC_E[7]\, 
        \U1/DWACT_FINC_E[6]\, \U1/N_4\, \U1/DWACT_FINC_E[28]\, 
        \U1/DWACT_FINC_E[10]\, \U1/DWACT_FINC_E[12]\, 
        \U1/DWACT_FINC_E[2]\, \U1/DWACT_FINC_E[5]\, \U1/N_11\, 
        \U1/DWACT_FINC_E[11]\, \U1/N_16\, \U1/DWACT_FINC_E[9]\, 
        \U1/N_21\, \U1/N_26\, \U1/DWACT_FINC_E[8]\, \U1/N_31\, 
        \U1/N_39\, \U1/N_46\, \U1/DWACT_FINC_E[3]\, \U1/N_54\, 
        \U1/N_59\, \U1/N_64\, \U1/DWACT_FINC_E[1]\, \U1/N_69\, 
        \U1/N_77\, \GND\, \CLK_pad/U0/NET1\, \DI_pad/U0/NET1\, 
        \DO_pad/U0/NET1\, \DO_pad/U0/NET2\, \CSn_pad/U0/NET1\, 
        \RST_pad/U0/NET1\, CSn_c_CLKSRC_DRIVER, \U1/wdata[0]/Y\, 
        \U1/wdata[6]/Y\, \U1/wdata[3]/Y\, \U1/wdata[2]/Y\, 
        \U1/wdata[1]/Y\, \U1/wdata[5]/Y\, \U1/wdata[4]/Y\, 
        AFLSDF_VCC, AFLSDF_GND, \AFLSDF_INV_0\, \AFLSDF_INV_1\, 
        \AFLSDF_INV_2\, \AFLSDF_INV_3\ : std_logic;
    signal GND_power_net1 : std_logic;
    signal VCC_power_net1 : std_logic;
    signal nc47, nc34, nc9, nc13, nc23, nc33, nc16, nc26, nc45, 
        nc27, nc17, nc36, nc48, nc37, nc5, nc52, nc51, nc4, nc42, 
        nc41, nc25, nc15, nc35, nc49, nc28, nc18, nc38, nc1, nc2, 
        nc50, nc22, nc12, nc21, nc11, nc3, nc32, nc40, nc31, nc44, 
        nc7, nc6, nc19, nc29, nc39, nc8, nc43, nc20, nc10, nc24, 
        nc14, nc46, nc30 : std_logic;

begin 

    AFLSDF_GND <= GND_power_net1;
    \GND\ <= GND_power_net1;
    \VCC\ <= VCC_power_net1;
    AFLSDF_VCC <= VCC_power_net1;

    \U1/G1_0_P4_raddr_0_21\ : MX2A
      port map(A => \U1/N_1932_i\, B => DI_c, S => 
        \U1/un12_state_0_0_a2_0\, Y => \U1/raddr_0_21\);
    
    \U1/un2_xaddr_ADD_19x19_slow_I0_un1_CO1\ : OR2A
      port map(A => \U1/xaddr[0]_net_1\, B => \U1/N_1552\, Y => 
        \U1/I0_un1_CO1_0\);
    
    \U1/state_ns_i_a2_0_0_a2_1_1_0[7]\ : NOR3B
      port map(A => \U1/N_1699_1\, B => \U1/N_1781\, C => 
        \U1/state_0[7]_net_1\, Y => 
        \U1/state_ns_i_a2_0_0_a2_1_1[7]_net_1\);
    
    \DI_pad/U0/U1\ : IOIN_IB
      port map(YIN => \DI_pad/U0/NET1\, Y => DI_c);
    
    \U1/start[5]\ : DFN1C1
      port map(D => \U1/start_3[5]\, CLK => CLK_c, CLR => 
        \U1/un21_rstn_i_a2_i\, Q => \U1/start[5]_net_1\);
    
    \U1/P6_waddr_3_I_32\ : XOR2
      port map(A => \U1/waddr[1]_net_1\, B => 
        \U1/DWACT_ADD_CI_0_TMP_0[0]\, Y => \U1/waddr_3[1]\);
    
    \U1/un1_inc_I_97\ : AND3
      port map(A => \U1/DWACT_FINC_E[6]\, B => 
        \U1/DWACT_FINC_E[10]\, C => \U1/raddr[15]\, Y => 
        \U1/N_16\);
    
    \U1/un2_xaddr_ADD_19x19_slow_I14_S\ : XNOR2
      port map(A => \U1/xaddr[14]_net_1\, B => \U1/N242\, Y => 
        \U1/un2_xaddr[14]\);
    
    \U1/un1_inc_I_108\ : AND3
      port map(A => \U1/raddr[15]\, B => \U1/raddr[16]\, C => 
        \U1/raddr[17]\, Y => \U1/DWACT_FINC_E[12]\);
    
    \U1/G1_7_P4_raddr_61_i_m2[7]\ : MX2
      port map(A => DI_c_0, B => \U1/I_38\, S => 
        \U1/bit_cnt_0[0]_net_1\, Y => \U1/N_1611\);
    
    \U1/P6_waddr_3_I_43\ : NOR3C
      port map(A => \U1/waddr[2]_net_1\, B => \U1/waddr[3]_net_1\, 
        C => \U1/DWACT_ADD_CI_0_g_array_1[0]\, Y => 
        \U1/DWACT_ADD_CI_0_g_array_2[0]\);
    
    \U1/un1_inc_I_31\ : XOR2
      port map(A => \U1/N_64\, B => \U1/raddr[6]\, Y => \U1/I_31\);
    
    \U1/cmnd[0]\ : DFN1E1C1
      port map(D => DI_c, CLK => CLK_c, CLR => RST_c, E => 
        \U1/state_0[7]_net_1\, Q => \U1/cmnd[0]_net_1\);
    
    \U1/un5_do_0_a2_2_a2\ : OA1
      port map(A => \U1/N_1785\, B => nvm_read, C => 
        \U1/state[3]_net_1\, Y => un5_do_0_a2_2_a2);
    
    \U1/rdata[1]\ : DFN0C1
      port map(D => \U1/rdata_4_i_0[1]\, CLK => CLK_c, CLR => 
        CSn_c, Q => \U1/rdata[1]_net_1\);
    
    \U1/un1_inc_I_56\ : XOR2
      port map(A => \U1/N_46\, B => \U1/raddr[10]\, Y => 
        \U1/I_56\);
    
    \U1/addr_i_m2_i_m2[8]\ : MX2
      port map(A => \U1/xaddr[8]_net_1\, B => \U1/raddr[8]\, S
         => \U1/state2_0[9]_net_1\, Y => \nvm_addr[8]\);
    
    \U1/un1_end_adr_ADD_19x19_slow_I2_un1_CO1\ : MAJ3
      port map(A => \U1/raddr[2]\, B => \U1/N211\, C => 
        \U1/waddr[2]_net_1\, Y => \U1/I2_un1_CO1\);
    
    \U1/xaddr[17]\ : DFN1E1C1
      port map(D => \U1/xaddr_4[17]\, CLK => clk60M, CLR => RST_c, 
        E => \U1/N_1371\, Q => \U1/xaddr[17]_net_1\);
    
    \U1/state2_ns_i_a2_i_0[4]\ : AO1A
      port map(A => nvm_busy, B => \U1/state2[5]_net_1\, C => 
        nvm_pgm, Y => \U1/state2_ns_i_a2_i_0[4]_net_1\);
    
    \U1/un1_end_adr_ADD_19x19_slow_I3_CO1\ : MAJ3
      port map(A => \U1/raddr[3]\, B => \U1/I2_un1_CO1\, C => 
        \U1/waddr[3]_net_1\, Y => \U1/N215\);
    
    \U2/aerase\ : NOR2A
      port map(A => nvm_erase, B => \nvm_addr_0[18]\, Y => 
        \U2/aerase_net_1\);
    
    \U1/un1_inc_I_13\ : XOR2
      port map(A => \U1/N_77\, B => \U1/raddr[3]\, Y => \U1/I_13\);
    
    \U1/un10_i_a2_0_a2_1_a2[1]\ : OR2
      port map(A => \U1/state[5]_net_1\, B => \U1/N_1796\, Y => 
        \U1/un10_i_a2_0_a2_1_a2[1]_net_1\);
    
    \U1/un2_xaddr_ADD_19x19_slow_I9_CO1\ : OR3B
      port map(A => \U1/xaddr[8]_net_1\, B => \U1/xaddr[9]_net_1\, 
        C => \U1/N220_1\, Y => \U1/N226\);
    
    \U1/P9_wip_1_0_a2_0_a2\ : OA1B
      port map(A => \U1/N_1582\, B => \U1/wip_net_1\, C => 
        \U1/state2[0]_net_1\, Y => \U1/wip_1\);
    
    \U1/state2_tr12_i_0\ : NOR3
      port map(A => \U1/N_1729\, B => 
        \U1/state2_tr12_i_0_0_net_1\, C => \U1/N_1572\, Y => 
        \U1/state2_tr12_i_0_net_1\);
    
    \U1/P6_start_3_I_36\ : NOR3C
      port map(A => \U1/start[2]_net_1\, B => \U1/start[3]_net_1\, 
        C => \U1/DWACT_ADD_CI_0_g_array_1_0[0]\, Y => 
        \U1/DWACT_ADD_CI_0_g_array_2_0[0]\);
    
    \U1/P12_wptr_4_i_m2[5]\ : MX2
      port map(A => \U1/I_33\, B => \U1/start[5]_net_1\, S => 
        \U1/state2[8]_net_1\, Y => \U1/wptr_4_i_m2[5]\);
    
    \U1/wdata[2]/U0\ : MX2
      port map(A => \U1/wdata[2]\, B => \U1/wdata[1]\, S => 
        \U1/state[2]_net_1\, Y => \U1/wdata[2]/Y\);
    
    \U1/N_1923_i\ : INV
      port map(A => \U1/un2_buf_we_0_a2_0_a2_net_1\, Y => 
        \U1/N_1923_i_net_1\);
    
    \U1/P6_start_3_I_30\ : AX1C
      port map(A => \U1/DWACT_ADD_CI_0_g_array_1_0[0]\, B => 
        \U1/start[2]_net_1\, C => \U1/start[3]_net_1\, Y => 
        \U1/start_3[3]\);
    
    \U1/un3_finished_4\ : XNOR2
      port map(A => \U1/wptr[4]_net_1\, B => \U1/waddr[4]_net_1\, 
        Y => \U1/un3_finished_4_i_0\);
    
    \U1/G1_1_P4_un19_state_0_0_a2_0\ : NOR3B
      port map(A => \U1/bit_cnt_0[1]_net_1\, B => 
        \U1/bit_cnt_0[2]_net_1\, C => \U1/bit_cnt_0[0]_net_1\, Y
         => \U1/N_1805\);
    
    \U1/wdata[5]/U0\ : MX2
      port map(A => \U1/wdata[5]\, B => \U1/wdata[4]\, S => 
        \U1/state[2]_net_1\, Y => \U1/wdata[5]/Y\);
    
    \U1/state2_tr12_i_0_o2\ : OR2B
      port map(A => nvm_busy, B => \U1/swrite_net_1\, Y => 
        \U1/N_1572\);
    
    \U1/un1_inc_I_90\ : AND3
      port map(A => \U1/DWACT_FINC_E[6]\, B => 
        \U1/DWACT_FINC_E[7]\, C => \U1/DWACT_FINC_E[9]\, Y => 
        \U1/N_21\);
    
    \U1/un1_inc_I_101\ : AND2
      port map(A => \U1/raddr[15]\, B => \U1/raddr[16]\, Y => 
        \U1/DWACT_FINC_E[11]\);
    
    \U1/waddr[3]\ : DFN1C1
      port map(D => \U1/waddr_3[3]\, CLK => CLK_c, CLR => 
        \U1/un21_rstn_i_a2_i\, Q => \U1/waddr[3]_net_1\);
    
    \U1/P9_sbulk_1_0_0_a2_0_1\ : OR3A
      port map(A => \U1/N_1924\, B => \U1/dly_bulk_net_1\, C => 
        \U1/N_1742_1\, Y => \U1/sbulk_1_0_0_a2_0_1\);
    
    \U1/P6_start_3_I_32\ : XOR2
      port map(A => \U1/start[2]_net_1\, B => 
        \U1/DWACT_ADD_CI_0_g_array_1_0[0]\, Y => \U1/start_3[2]\);
    
    \U1/P5_rdata_4_1_0_a2[7]\ : OR2B
      port map(A => \U1/rdata[6]_net_1\, B => \U1/N_1522\, Y => 
        \U1/N_1718\);
    
    \U2/nvm_dout[4]\ : MX2
      port map(A => \U2/adata[4]\, B => \U2/bdata[4]\, S => 
        \nvm_addr[18]\, Y => \nvm_dout[4]\);
    
    \U1/un1_inc_I_16\ : AND3
      port map(A => \U1/raddr[0]\, B => \U1/raddr[1]\, C => 
        \U1/raddr[2]\, Y => \U1/DWACT_FINC_E[0]\);
    
    \U1/start[7]\ : DFN1C1
      port map(D => \U1/start_3[7]\, CLK => CLK_c, CLR => 
        \U1/un21_rstn_i_a2_i\, Q => \U1/start[7]_net_1\);
    
    \U1/state2_0[8]\ : DFN1C1
      port map(D => \U1/state2_tr2_i_0_net_1\, CLK => clk60M, CLR
         => RST_c, Q => \U1/state2_0[8]_net_1\);
    
    \U1/dly_sector\ : DFN1C1
      port map(D => \U1/N_893_i_0\, CLK => clk60M, CLR => RST_c, 
        Q => \U1/dly_sector_net_1\);
    
    \U1/un1_wptr_I_1\ : AND2
      port map(A => \U1/wptr[0]_net_1\, B => \U1/state2[1]_net_1\, 
        Y => \U1/DWACT_ADD_CI_0_TMP_1[0]\);
    
    \U1/state_ns_i_a2_0_0_a2_10[7]\ : OR3A
      port map(A => \U1/cmnd[2]_net_1\, B => \U1/cmnd[3]_net_1\, 
        C => \U1/cmnd[4]_net_1\, Y => \U1/N_1798\);
    
    \U1/P6_start_3_I_33\ : AX1C
      port map(A => \U1/DWACT_ADD_CI_0_g_array_2_0[0]\, B => 
        \U1/start[4]_net_1\, C => \U1/start[5]_net_1\, Y => 
        \U1/start_3[5]\);
    
    \U1/P12_wptr_4_i_m2[1]\ : MX2
      port map(A => \U1/I_31_0\, B => \U1/start[1]_net_1\, S => 
        \U1/state2_0[8]_net_1\, Y => \U1/wptr_4_i_m2[1]\);
    
    \U1/G1_0_P4_un12_state_0_0_a2_1\ : OR3A
      port map(A => \U1/bit_cnt_0[0]_net_1\, B => 
        \U1/bit_cnt_0[1]_net_1\, C => \U1/bit_cnt_0[2]_net_1\, Y
         => \U1/N_1922\);
    
    \U1/cmnd[7]\ : DFN1E1C1
      port map(D => \U1/cmnd[6]_net_1\, CLK => CLK_c, CLR => 
        RST_c, E => \U1/state[7]_net_1\, Q => \U1/cmnd[7]_net_1\);
    
    \U1/P6_waddr_3_I_44\ : NOR2B
      port map(A => \U1/DWACT_ADD_CI_0_TMP_0[0]\, B => 
        \U1/waddr[1]_net_1\, Y => 
        \U1/DWACT_ADD_CI_0_g_array_1[0]\);
    
    \CLK_pad/U0/U1\ : CLKSRC
      port map(A => \CLK_pad/U0/NET1\, Y => CLK_c);
    
    \U1/un3_finished_2\ : XNOR2
      port map(A => \U1/wptr[2]_net_1\, B => \U1/waddr[2]_net_1\, 
        Y => \U1/un3_finished_2_i_0\);
    
    \U1/un2_xaddr_ADD_19x19_slow_I9_S\ : AX1
      port map(A => \U1/N220_1\, B => \U1/xaddr[8]_net_1\, C => 
        \U1/xaddr[9]_net_1\, Y => \U1/un2_xaddr[9]\);
    
    \U1/state2_ns_i_a2_0_0_a2_0[8]\ : OR2
      port map(A => \U1/state2[6]_net_1\, B => 
        \U1/state2[5]_net_1\, Y => \U1/N_1704\);
    
    \U1/P12_xaddr_4_i_m2[9]\ : MX2C
      port map(A => \U1/raddr[9]\, B => \U1/un2_xaddr[9]\, S => 
        \U1/state2[1]_net_1\, Y => \U1/N_1626\);
    
    \U1/wdata[5]/U1\ : DFN1C1
      port map(D => \U1/wdata[5]/Y\, CLK => CLK_c, CLR => 
        \U1/N_1471_0\, Q => \U1/wdata[5]\);
    
    \U1/addr_i_m2_i_m2[17]\ : MX2
      port map(A => \U1/xaddr[17]_net_1\, B => \U1/raddr[17]\, S
         => \U1/state2[9]_net_1\, Y => \nvm_addr[17]\);
    
    \U1/P12_xaddr_4_i_o2[0]\ : OR2A
      port map(A => \U1/state2[8]_net_1\, B => \U1/N_1534\, Y => 
        \U1/N_1538\);
    
    \U1/un2_xaddr_ADD_19x19_slow_I0_S\ : XNOR2
      port map(A => \U1/xaddr[0]_net_1\, B => \U1/N_1552\, Y => 
        \U1/un2_xaddr[0]\);
    
    \U1/iwebit_1_0_a2_0_0\ : OR3
      port map(A => \U1/N_1771\, B => \U1/cmnd[0]_net_1\, C => 
        \U1/N_1557\, Y => \U1/iwebit_1_0_a2_0_0_net_1\);
    
    \U1/state2_ns_i_a2_0_0_a2_5_1[8]\ : NOR2B
      port map(A => \U1/xaddr[16]_net_1\, B => 
        \U1/xaddr[17]_net_1\, Y => 
        \U1/state2_ns_i_a2_0_0_a2_5_1[8]_net_1\);
    
    \U1/state2[3]\ : DFN1C1
      port map(D => \U1/state2_tr12_i_0_net_1\, CLK => clk60M, 
        CLR => RST_c, Q => nvm_pgm);
    
    \U1/un1_inc_I_38\ : XOR2
      port map(A => \U1/N_59\, B => \U1/raddr[7]\, Y => \U1/I_38\);
    
    \U1/P6_un146_state_0_a2_0_a2\ : NOR2B
      port map(A => \U1/waddr[8]_net_1\, B => 
        \U1/un2_buf_we_0_a2_0_a2_net_1\, Y => \U1/un146_state\);
    
    \U1/P9_swrite_1_0_0_o2\ : OR3C
      port map(A => \U1/N_1782\, B => \U1/un1_end_adr[18]\, C => 
        \U1/N_1587\, Y => \U1/N_1551\);
    
    \U1/state2_ns_i_a2_0_0_a2_1[8]\ : OR3B
      port map(A => \U1/swrite_net_1\, B => \U1/N_1588_i_0\, C
         => \U1/state2[5]_net_1\, Y => \U1/N_1705\);
    
    \U1/stat[2]\ : DFN1E1P1
      port map(D => \U1/stat[1]_net_1\, CLK => CLK_c, PRE => 
        RST_c, E => \U1/state[1]_net_1\, Q => \U1/stat[2]_net_1\);
    
    \U1/state2_ns_i_a2_i_0_o2_0[9]\ : OR2
      port map(A => \U1/swrite_net_1\, B => \U1/N_1552\, Y => 
        \U1/N_1582\);
    
    \U1/un1_end_adr_ADD_19x19_slow_I15_CO1_3\ : NOR3C
      port map(A => \U1/raddr[13]\, B => 
        \U1/ADD_19x19_slow_I15_CO1_1\, C => \U1/raddr[12]\, Y => 
        \U1/ADD_19x19_slow_I15_CO1_3\);
    
    \U1/P5_rdata_4_i_0_0[4]\ : AO1D
      port map(A => \U1/N_1803\, B => \U1/stat[4]_net_1\, C => 
        \U1/N_1756\, Y => \U1/rdata_4_i_0_0[4]\);
    
    \U1/P12_xaddr_4_r[14]\ : NOR3A
      port map(A => \U1/N_1538\, B => \U1/N_1631\, C => 
        \U1/addr_ld_0_sqmuxa\, Y => \U1/xaddr_4[14]\);
    
    \U1/un1_inc_I_62\ : AND3
      port map(A => \U1/DWACT_FINC_E[0]\, B => 
        \U1/DWACT_FINC_E[2]\, C => \U1/DWACT_FINC_E[5]\, Y => 
        \U1/DWACT_FINC_E[6]\);
    
    \U1/G1_11_P4_un89_state_i_i_a2_0\ : NOR2A
      port map(A => \U1/state[5]_net_1\, B => 
        \U1/bit_cnt_0[0]_net_1\, Y => \U1/un89_state_i_i_a2_0\);
    
    \U1/addr_i_m2_i_m2[7]\ : MX2
      port map(A => \U1/xaddr[7]_net_1\, B => \U1/raddr[7]\, S
         => \U1/state2_0[9]_net_1\, Y => \nvm_addr[7]\);
    
    \U1/state[6]\ : DFN1E1C1
      port map(D => \U1/state_ns[1]\, CLK => CLK_c, CLR => CSn_c, 
        E => \U1/N_1783_0\, Q => \U1/state[6]_net_1\);
    
    \U1/G1_15_P4_un117_state_0_0\ : AO1C
      port map(A => \U1/N_1522\, B => \U1/state[5]_net_1\, C => 
        \U1/N_1669_0\, Y => \U1/un117_state\);
    
    \U1/wdata[1]/U0\ : MX2
      port map(A => \U1/wdata[1]\, B => \U1/wdata[0]\, S => 
        \U1/state[2]_net_1\, Y => \U1/wdata[1]/Y\);
    
    \U2/nvm_dout[3]\ : MX2
      port map(A => \U2/adata[3]\, B => \U2/bdata[3]\, S => 
        \nvm_addr[18]\, Y => \nvm_dout[3]\);
    
    \U1/state2_tr12_i_0_a2_0_11\ : NOR3A
      port map(A => \U1/state2_tr12_i_0_a2_0_0_net_1\, B => 
        \U1/xaddr[12]_net_1\, C => \U1/xaddr[14]_net_1\, Y => 
        \U1/state2_tr12_i_0_a2_0_11_net_1\);
    
    \U1/xaddr[13]\ : DFN1E1C1
      port map(D => \U1/xaddr_4[13]\, CLK => clk60M, CLR => RST_c, 
        E => \U1/N_1371\, Q => \U1/xaddr[13]_net_1\);
    
    \U1/waddr[8]\ : DFN1C1
      port map(D => \U1/waddr_3[8]\, CLK => CLK_c, CLR => 
        \U1/un21_rstn_i_a2_i\, Q => \U1/waddr[8]_net_1\);
    
    \U1/state_tr8_0_a2_0_o2\ : OR2
      port map(A => \U1/cmnd[0]_net_1\, B => \U1/N_1523\, Y => 
        \U1/N_1528\);
    
    \U1/state2_tr13_0_a2_1_a2\ : NOR3A
      port map(A => \U1/state2[7]_net_1\, B => \U1/N_1552\, C => 
        \U1/N_1572\, Y => \U1/state2_ns[7]\);
    
    \U1/addr_ld_0_sqmuxa_0_a2\ : NOR2B
      port map(A => \U1/state2_0[8]_net_1\, B => \U1/N_1924\, Y
         => \U1/addr_ld_0_sqmuxa\);
    
    \U1/wdata[1]/U1\ : DFN1C1
      port map(D => \U1/wdata[1]/Y\, CLK => CLK_c, CLR => 
        \U1/N_1471_0\, Q => \U1/wdata[1]\);
    
    \U1/addr_i_m2_i_m2_0[18]\ : MX2
      port map(A => \U1/xaddr[18]_net_1\, B => \U1/raddr[18]\, S
         => \U1/state2_0[9]_net_1\, Y => \nvm_addr_0[18]\);
    
    \U1/G1_1_P4_raddr[1]\ : DFN1E1C1
      port map(D => \U1/N_1608\, CLK => CLK_c, CLR => RST_c, E
         => \U1/un19_state\, Q => \U1/raddr[1]\);
    
    \U1/P9_swrite_1_0_0_a2\ : NOR3B
      port map(A => \U1/N_897_2\, B => \U1/swrite_1_0_0_a2_1\, C
         => \U1/N_1789_i\, Y => \U1/N_1693\);
    
    \U1/un2_xaddr_ADD_19x19_slow_I13_CO1\ : OR3B
      port map(A => \U1/xaddr[12]_net_1\, B => 
        \U1/xaddr[13]_net_1\, C => \U1/N234\, Y => \U1/N242\);
    
    \U1/un1_end_adr_ADD_19x19_slow_I15_CO1_1\ : NOR3C
      port map(A => \U1/raddr[15]\, B => \U1/I8_un1_CO1\, C => 
        \U1/raddr[14]\, Y => \U1/ADD_19x19_slow_I15_CO1_1\);
    
    \U1/statese_i_0_a2\ : NOR3C
      port map(A => \U1/bit_cnt[0]_net_1\, B => 
        \U1/bit_cnt[2]_net_1\, C => \U1/bit_cnt[1]_net_1\, Y => 
        \U1/N_1783\);
    
    \U2/nvm_busy\ : NOR2
      port map(A => \U2/busy2\, B => \U2/busy1\, Y => nvm_busy);
    
    \U1/un2_xaddr_ADD_19x19_slow_I10_S\ : XNOR2
      port map(A => \U1/xaddr[10]_net_1\, B => \U1/N226\, Y => 
        \U1/un2_xaddr[10]\);
    
    \U1/waddr[6]\ : DFN1C1
      port map(D => \U1/waddr_3[6]\, CLK => CLK_c, CLR => 
        \U1/un21_rstn_i_a2_i\, Q => \U1/waddr[6]_net_1\);
    
    \U1/P6_un21_rstn_i_a2_i\ : OR2
      port map(A => \U1/state2[0]_net_1\, B => RST_c, Y => 
        \U1/un21_rstn_i_a2_i\);
    
    \U1/G1_14_P4_un110_state_0_a2_0_a2\ : OA1B
      port map(A => \U1/state[3]_net_1\, B => \U1/state[5]_net_1\, 
        C => \U1/N_1922\, Y => \U1/un110_state\);
    
    \U1/un10_i_a2_0_a2_1_a2[0]\ : OR3A
      port map(A => \U1/N_1781\, B => \U1/state[2]_net_1\, C => 
        \U1/state[3]_net_1\, Y => 
        \U1/un10_i_a2_0_a2_1_a2[0]_net_1\);
    
    \U1/start[2]\ : DFN1C1
      port map(D => \U1/start_3[2]\, CLK => CLK_c, CLR => 
        \U1/N_1471_0\, Q => \U1/start[2]_net_1\);
    
    \U1/G1_2_P4_un26_state_0_0\ : AO1B
      port map(A => \U1/N_1806\, B => \U1/state_0[4]_net_1\, C
         => \U1/N_1669_0\, Y => \U1/un26_state\);
    
    \U1/un2_xaddr_ADD_19x19_slow_I13_S\ : AX1
      port map(A => \U1/N234\, B => \U1/xaddr[12]_net_1\, C => 
        \U1/xaddr[13]_net_1\, Y => \U1/un2_xaddr[13]\);
    
    \U1/cmnd[2]\ : DFN1E1C1
      port map(D => \U1/cmnd[1]_net_1\, CLK => CLK_c, CLR => 
        RST_c, E => \U1/state[7]_net_1\, Q => \U1/cmnd[2]_net_1\);
    
    \U1/P9_ssector_1_0_0_o2\ : NOR3A
      port map(A => \U1/raddr[18]\, B => \U1/N_1586\, C => 
        \U1/N_1802\, Y => \U1/N_1589\);
    
    \U1/P5_rdata_4_i_0_0[1]\ : AO1D
      port map(A => \U1/N_1803\, B => \U1/webit_net_1\, C => 
        \U1/N_1745\, Y => \U1/rdata_4_i_0_0[1]\);
    
    \U1/un1_inc_I_44\ : AND3
      port map(A => \U1/DWACT_FINC_E[0]\, B => 
        \U1/DWACT_FINC_E[2]\, C => \U1/DWACT_FINC_E[3]\, Y => 
        \U1/N_54\);
    
    \U1/xaddr[1]\ : DFN1E1C1
      port map(D => \U1/xaddr_4[1]\, CLK => clk60M, CLR => RST_c, 
        E => \U1/N_1371_0\, Q => \U1/xaddr[1]_net_1\);
    
    \U1/P9_ssector_1_0_0_a2_1\ : NOR2
      port map(A => \U1/N_1526_i_0\, B => \U1/raddr[17]\, Y => 
        \U1/N_1802\);
    
    \U1/wptr[6]\ : DFN1C1
      port map(D => \U1/wptr_4_i_m2[6]\, CLK => clk60M, CLR => 
        RST_c, Q => \U1/wptr[6]_net_1\);
    
    \U1/un1_wptr_I_36\ : NOR3C
      port map(A => \U1/wptr[2]_net_1\, B => \U1/wptr[3]_net_1\, 
        C => \U1/DWACT_ADD_CI_0_g_array_1_1[0]\, Y => 
        \U1/DWACT_ADD_CI_0_g_array_2_1[0]\);
    
    \U1/bit_cnt[0]\ : DFN1C1
      port map(D => \U1/bit_cnt_i[0]_net_1\, CLK => CLK_c, CLR
         => CSn_c, Q => \U1/bit_cnt[0]_net_1\);
    
    \U1/un5_esector_i_0\ : NOR3A
      port map(A => \U1/un5_esector_i_0_0_net_1\, B => 
        \U1/N_1534\, C => \U1/N_1662\, Y => \U1/N_893_i_0\);
    
    \U1/P5_rdata_4_2_0_a2[0]\ : OR3B
      port map(A => \U1/N_1773\, B => \U1/rdata_4_2_0_a2_0[0]\, C
         => \U1/N_1523\, Y => \U1/N_1706\);
    
    \U1/state[0]\ : DFN1E1C1
      port map(D => \U1/N_430_i_0\, CLK => CLK_c, CLR => CSn_c, E
         => \U1/N_1783\, Q => \U1/state[0]_net_1\);
    
    \U1/G1_10_P4_raddr[10]\ : DFN1E1C1
      port map(D => \U1/N_1657\, CLK => CLK_c, CLR => RST_c, E
         => \U1/N_1486\, Q => \U1/raddr[10]\);
    
    \U1/state_ns_i_a2_0_0_a2_1_1[7]\ : NOR2A
      port map(A => \U1/cmnd[0]_net_1\, B => \U1/cmnd[6]_net_1\, 
        Y => \U1/N_1699_1\);
    
    \U1/last[1]\ : DFN1P1
      port map(D => \U1/bit_cnt_i[1]_net_1\, CLK => CSn_c, PRE
         => RST_c, Q => \U1/last_i_0[1]\);
    
    \U1/xaddr[2]\ : DFN1E1C1
      port map(D => \U1/xaddr_4[2]\, CLK => clk60M, CLR => RST_c, 
        E => \U1/N_1371_0\, Q => \U1/xaddr[2]_net_1\);
    
    \U1/addr_i_m2_i_m2[16]\ : MX2
      port map(A => \U1/xaddr[16]_net_1\, B => \U1/raddr[16]\, S
         => \U1/state2[9]_net_1\, Y => \nvm_addr[16]\);
    
    \U1/wptr[5]\ : DFN1C1
      port map(D => \U1/wptr_4_i_m2[5]\, CLK => clk60M, CLR => 
        RST_c, Q => \U1/wptr[5]_net_1\);
    
    \U1/un1_end_adr_ADD_19x19_slow_I7_CO1\ : MIN3
      port map(A => \U1/raddr[7]\, B => \U1/I6_un1_CO1_0\, C => 
        \U1/waddr[7]_net_1\, Y => \U1/N223\);
    
    \U1/state2_ns_i_a2_0_0_1[8]\ : NOR3C
      port map(A => \U1/N_1705\, B => \U1/N_1704\, C => 
        \U1/N_1703\, Y => \U1/state2_ns_i_a2_0_0_1[8]_net_1\);
    
    \U1/G1_5_P4_raddr_45_i_m2[5]\ : MX2
      port map(A => DI_c_0, B => \U1/I_24\, S => 
        \U1/bit_cnt_0[0]_net_1\, Y => \U1/N_1610\);
    
    \U1/un6_ewrite_i_0\ : OR3B
      port map(A => \U1/N_897_2\, B => 
        \U1/un6_ewrite_i_0_1_net_1\, C => \U1/N_1662\, Y => 
        \U1/N_897_i_0\);
    
    \U1/un1_wptr_I_19\ : XOR2
      port map(A => \U1/wptr[0]_net_1\, B => \U1/state2[1]_net_1\, 
        Y => \U1/DWACT_ADD_CI_0_partial_sum[0]\);
    
    \U1/dly_write\ : DFN1P1
      port map(D => \U1/N_897_i_0\, CLK => clk60M, PRE => RST_c, 
        Q => \U1/dly_write_i\);
    
    \U1/cmnd[1]\ : DFN1E1C1
      port map(D => \U1/cmnd[0]_net_1\, CLK => CLK_c, CLR => 
        RST_c, E => \U1/state[7]_net_1\, Q => \U1/cmnd[1]_net_1\);
    
    \U1/addr_i_m2_i_m2[15]\ : MX2
      port map(A => \U1/xaddr[15]_net_1\, B => \U1/raddr[15]\, S
         => \U1/state2[9]_net_1\, Y => \nvm_addr[15]\);
    
    \U1/un2_xaddr_ADD_19x19_slow_I7_CO1_1\ : AO1C
      port map(A => \U1/N_1552\, B => \U1/I6_un1_CO1\, C => 
        \U1/xaddr[7]_net_1\, Y => \U1/N220_1\);
    
    \U1/G1_1_P4_raddr_13_i_m2[1]\ : MX2
      port map(A => DI_c_0, B => \U1/I_5\, S => 
        \U1/bit_cnt_0[0]_net_1\, Y => \U1/N_1608\);
    
    \U1/un1_end_adr_ADD_19x19_slow_I5_CO1\ : MAJ3
      port map(A => \U1/raddr[5]\, B => \U1/I4_un1_CO1\, C => 
        \U1/waddr[5]_net_1\, Y => \U1/N219\);
    
    \U1/un1_inc_I_105\ : XOR2
      port map(A => \U1/N_11\, B => \U1/raddr[17]\, Y => 
        \U1/I_105\);
    
    \U1/un1_wptr_I_30\ : AX1C
      port map(A => \U1/DWACT_ADD_CI_0_g_array_1_1[0]\, B => 
        \U1/wptr[2]_net_1\, C => \U1/wptr[3]_net_1\, Y => 
        \U1/I_30\);
    
    \U1/state_tr8_0_a2_0_o2_0\ : OR2
      port map(A => \U1/cmnd[5]_net_1\, B => \U1/cmnd[1]_net_1\, 
        Y => \U1/N_1523\);
    
    \U1/P5_rdata_4_2_0[2]\ : AO1C
      port map(A => \U1/N_1784\, B => \nvm_dout[2]\, C => 
        \U1/rdata_4_2_0_0[2]\, Y => \U1/rdata_4[2]\);
    
    \U1/un2_iena_0_o2_0\ : NOR2A
      port map(A => \U1/cmnd[2]_net_1\, B => \U1/N_1522\, Y => 
        \U1/N_1546\);
    
    \U1/un6_ewrite_i_0_a2_0\ : OR2B
      port map(A => \U1/un1_end_adr[18]\, B => \U1/N_1526_i_0\, Y
         => \U1/N_1734\);
    
    \U1/state_ns_i_a2_i_0[4]\ : OR3
      port map(A => \U1/N_1755\, B => \U1/state[3]_net_1\, C => 
        \U1/N_1754\, Y => \U1/N_1175\);
    
    \U1/state2_tr11_i_0_o2\ : OR2
      port map(A => \U1/ssector_net_1\, B => \U1/sbulk_net_1\, Y
         => \U1/N_1552\);
    
    \U1/state_0[4]\ : DFN1E1C1
      port map(D => \U1/state[5]_net_1\, CLK => CLK_c, CLR => 
        CSn_c, E => \U1/N_1783_0\, Q => \U1/state_0[4]_net_1\);
    
    \U1/P6_un21_rstn_i_a2_i_0\ : OR2
      port map(A => \U1/state2[0]_net_1\, B => RST_c, Y => 
        \U1/N_1471_0\);
    
    \U1/nxt3_0_a2_1_a2_1_a2_0\ : NOR3A
      port map(A => \U1/cmnd[0]_net_1\, B => \U1/N_1525\, C => 
        \U1/cmnd[7]_net_1\, Y => \U1/N_1773\);
    
    \U1/un6_ewrite_i_0_3_0\ : NOR2B
      port map(A => \U1/last[5]_net_1\, B => \U1/last[3]_net_1\, 
        Y => \U1/un6_ewrite_i_0_3_0_net_1\);
    
    \U1/state2_tr12_i_0_o2_0_2\ : NOR2B
      port map(A => \U1/xaddr[4]_net_1\, B => \U1/xaddr[2]_net_1\, 
        Y => \U1/state2_tr12_i_0_o2_0_2_net_1\);
    
    \U1/un1_inc_I_104\ : AND3
      port map(A => \U1/DWACT_FINC_E[6]\, B => 
        \U1/DWACT_FINC_E[10]\, C => \U1/DWACT_FINC_E[11]\, Y => 
        \U1/N_11\);
    
    \U1/state2_tr12_i_0_a2_0_16\ : NOR3C
      port map(A => \U1/state2_tr12_i_0_a2_0_10_net_1\, B => 
        \U1/state2_tr12_i_0_a2_0_11_net_1\, C => 
        \U1/state2_tr12_i_0_a2_0_12_net_1\, Y => 
        \U1/state2_tr12_i_0_a2_0_16_net_1\);
    
    \U1/waddr[1]\ : DFN1C1
      port map(D => \U1/waddr_3[1]\, CLK => CLK_c, CLR => 
        \U1/un21_rstn_i_a2_i\, Q => \U1/waddr[1]_net_1\);
    
    \U1/un6_ewrite_i_0_a2\ : OR3C
      port map(A => \U1/un1_end_adr[17]\, B => 
        \U1/un1_end_adr[18]\, C => \U1/N_1587\, Y => \U1/N_1733\);
    
    \U1/G1_18_P4_raddr_149_i_m2_i_m2[18]\ : MX2
      port map(A => \U1/I_115\, B => DI_c, S => 
        \U1/bit_cnt[2]_net_1\, Y => \U1/N_1661\);
    
    \U1/state_tr0_3_a2_2_0\ : NOR2
      port map(A => DI_c_0, B => \U1/cmnd[1]_net_1\, Y => 
        \U1/state_tr0_3_a2_2_0_net_1\);
    
    \U1/un1_end_adr_ADD_19x19_slow_I17_S\ : XOR2
      port map(A => \U1/I16_un1_CO1_0\, B => \U1/raddr[17]\, Y
         => \U1/un1_end_adr[17]\);
    
    \U1/P12_xaddr_4_i_m2[6]\ : MX2C
      port map(A => \U1/raddr[6]\, B => \U1/un2_xaddr[6]\, S => 
        \U1/state2[1]_net_1\, Y => \U1/N_1623\);
    
    \U1/cmnd[6]\ : DFN1E1C1
      port map(D => \U1/cmnd[5]_net_1\, CLK => CLK_c, CLR => 
        RST_c, E => \U1/state[7]_net_1\, Q => \U1/cmnd[6]_net_1\);
    
    \U1/G1_12_P4_un96_state_0_0_m2\ : MX2C
      port map(A => \U1/state[3]_net_1\, B => \U1/state[5]_net_1\, 
        S => \U1/bit_cnt_0[1]_net_1\, Y => \U1/N_1598\);
    
    \U1/state_ns_i_a2_0_0_a2_1_0[7]\ : NOR3A
      port map(A => \U1/N_1774\, B => \U1/N_1525\, C => 
        \U1/cmnd[7]_net_1\, Y => \U1/N_1697_1\);
    
    \U2/nvm_dout[1]\ : MX2
      port map(A => \U2/adata[1]\, B => \U2/bdata[1]\, S => 
        \nvm_addr_0[18]\, Y => \nvm_dout[1]\);
    
    \U1/xaddr[11]\ : DFN1E1C1
      port map(D => \U1/xaddr_4[11]\, CLK => clk60M, CLR => RST_c, 
        E => \U1/N_1371\, Q => \U1/xaddr[11]_net_1\);
    
    \U1/waddr[0]\ : DFN1C1
      port map(D => \U1/DWACT_ADD_CI_0_partial_sum_1[0]\, CLK => 
        CLK_c, CLR => \U1/un21_rstn_i_a2_i\, Q => 
        \U1/waddr[0]_net_1\);
    
    \U1/addr_i_m2_i_m2[18]\ : MX2
      port map(A => \U1/xaddr[18]_net_1\, B => \U1/raddr[18]\, S
         => \U1/state2[9]_net_1\, Y => \nvm_addr[18]\);
    
    \U1/P6_start_3_I_34\ : AX1C
      port map(A => \U1/DWACT_ADD_CI_0_g_array_11[0]\, B => 
        \U1/start[6]_net_1\, C => \U1/start[7]_net_1\, Y => 
        \U1/start_3[7]\);
    
    \U1/un2_xaddr_ADD_19x19_slow_I8_S\ : XNOR2
      port map(A => \U1/xaddr[8]_net_1\, B => \U1/N220_1\, Y => 
        \U1/un2_xaddr[8]\);
    
    \U1/xaddr[6]\ : DFN1E1C1
      port map(D => \U1/xaddr_4[6]\, CLK => clk60M, CLR => RST_c, 
        E => \U1/N_1371_0\, Q => \U1/xaddr[6]_net_1\);
    
    \U1/state_tr0_3_a2_0\ : OR3
      port map(A => \U1/N_1525\, B => \U1/cmnd[2]_net_1\, C => 
        \U1/N_1770_1\, Y => \U1/N_1776\);
    
    \U1/P12_wptr_4_i_m2[6]\ : MX2
      port map(A => \U1/I_27\, B => \U1/start[6]_net_1\, S => 
        \U1/state2[8]_net_1\, Y => \U1/wptr_4_i_m2[6]\);
    
    \U1/addr_i_m2_i_m2[1]\ : MX2
      port map(A => \U1/xaddr[1]_net_1\, B => \U1/raddr[1]\, S
         => \U1/state2_0[9]_net_1\, Y => \nvm_addr[1]\);
    
    \U1/state_ns_i_a2_0_0_a2_3[7]\ : OR3
      port map(A => \U1/N_1525\, B => \U1/cmnd[2]_net_1\, C => 
        \U1/state_ns_i_a2_0_0_a2_3_1[7]_net_1\, Y => 
        \U1/N_1701_i\);
    
    \U1/iwebit_1_0\ : AO1B
      port map(A => \U1/N_1592\, B => \U1/N_1775\, C => 
        \U1/N_1690\, Y => \U1/iwebit_1\);
    
    \U1/P6_waddr_3_I_33\ : AX1C
      port map(A => \U1/DWACT_ADD_CI_0_g_array_2[0]\, B => 
        \U1/waddr[4]_net_1\, C => \U1/waddr[5]_net_1\, Y => 
        \U1/waddr_3[5]\);
    
    \U1/state2_ns_i_a2_i_0_a2_7_3[9]\ : XA1A
      port map(A => \U1/waddr[3]_net_1\, B => \U1/wptr[3]_net_1\, 
        C => \U1/un3_finished_2_i_0\, Y => 
        \U1/state2_ns_i_a2_i_0_a2_7_3[9]_net_1\);
    
    \U1/state2[1]\ : DFN1C1
      port map(D => \U1/N_465_i_0\, CLK => clk60M, CLR => RST_c, 
        Q => \U1/state2[1]_net_1\);
    
    \U1/statese_i_0\ : NOR2A
      port map(A => \U1/state_0[7]_net_1\, B => \U1/N_1783_0\, Y
         => \U1/statese_i_0_net_1\);
    
    \U1/un6_ewrite_i_0_3\ : OR3C
      port map(A => \U1/last_i_0[2]\, B => 
        \U1/un6_ewrite_i_0_3_0_net_1\, C => \U1/last_i_0[1]\, Y
         => \U1/N_897_3\);
    
    \U1/G1_8_P4_raddr_69_i_m2_i_m2[8]\ : MX2
      port map(A => \U1/I_45\, B => DI_c_1, S => 
        \U1/bit_cnt_0[1]_net_1\, Y => \U1/N_1656\);
    
    \U1/P12_xaddr_4_i_m2[2]\ : MX2C
      port map(A => \U1/raddr[2]\, B => \U1/un2_xaddr[2]\, S => 
        \U1/state2_0[1]_net_1\, Y => \U1/N_1619\);
    
    \U1/state2_tr12_i_0_a2_1\ : NOR2A
      port map(A => \U1/state2[6]_net_1\, B => \U1/N_1801\, Y => 
        \U1/N_1765\);
    
    \U1/G1_2_P4_raddr_21_i_m2_i_m2[2]\ : MX2
      port map(A => \U1/I_9\, B => DI_c_1, S => 
        \U1/bit_cnt_0[2]_net_1\, Y => \U1/N_1654\);
    
    \U1/un1_end_adr_ADD_19x19_slow_I16_S\ : AX1C
      port map(A => \U1/raddr[9]\, B => 
        \U1/ADD_19x19_slow_I15_CO1_5\, C => \U1/raddr[16]\, Y => 
        \U1/un1_end_adr[16]\);
    
    \U1/un6_ewrite_i_0_o2\ : AO1
      port map(A => \U1/stat[2]_net_1\, B => \U1/un1_end_adr[16]\, 
        C => \U1/stat[3]_net_1\, Y => \U1/N_1587\);
    
    \U1/state2_ns_i_a2_i_0[3]\ : OR3
      port map(A => nvm_erase, B => nvm_we, C => \U1/N_1735\, Y
         => \U1/state2_ns_i_a2_i_0[3]_net_1\);
    
    \U1/G1_15_P4_raddr_125_i_m2[15]\ : MX2
      port map(A => DI_c_1, B => \U1/I_91\, S => 
        \U1/bit_cnt[0]_net_1\, Y => \U1/N_1615\);
    
    \U1/xaddr[14]\ : DFN1E1C1
      port map(D => \U1/xaddr_4[14]\, CLK => clk60M, CLR => RST_c, 
        E => \U1/N_1371\, Q => \U1/xaddr[14]_net_1\);
    
    \U1/wena_dly\ : DFN1P1
      port map(D => \U1/iwebit_1_0_a2_0_0_net_1\, CLK => clk60M, 
        PRE => RST_c, Q => \U1/wena_dly_i\);
    
    \U1/un1_inc_I_69\ : AND3
      port map(A => \U1/raddr[9]\, B => \U1/raddr[10]\, C => 
        \U1/raddr[11]\, Y => \U1/DWACT_FINC_E[7]\);
    
    \U1/state_ns_i_a2_i_0_a2_1[4]\ : AOI1B
      port map(A => \U1/N_1767\, B => \U1/N_1768\, C => 
        \U1/N_1699_1\, Y => \U1/N_1785\);
    
    \U1/state2_tr12_i_0_a2_0_15\ : NOR3C
      port map(A => \U1/state2_tr12_i_0_a2_0_6_net_1\, B => 
        \U1/state2_tr12_i_0_a2_0_5_net_1\, C => 
        \U1/state2_tr12_i_0_a2_0_9_net_1\, Y => 
        \U1/state2_tr12_i_0_a2_0_15_net_1\);
    
    \U1/state2_tr12_i_0_a2_0_7\ : NOR2
      port map(A => \U1/xaddr[9]_net_1\, B => \U1/xaddr[6]_net_1\, 
        Y => \U1/state2_tr12_i_0_a2_0_7_net_1\);
    
    \U1/un1_inc_I_9\ : AX1C
      port map(A => \U1/raddr[1]\, B => \U1/raddr[0]\, C => 
        \U1/raddr[2]\, Y => \U1/I_9\);
    
    \U1/G1_5_P4_un47_state_0_0\ : AO1B
      port map(A => \U1/N_1680_1\, B => \U1/state[4]_net_1\, C
         => \U1/N_1669_0\, Y => \U1/un47_state\);
    
    \U1/state2[8]\ : DFN1C1
      port map(D => \U1/state2_tr2_i_0_net_1\, CLK => clk60M, CLR
         => RST_c, Q => \U1/state2[8]_net_1\);
    
    \U1/G1_0_P4_un12_state_0_0_a2_0\ : NOR2B
      port map(A => \U1/state[4]_net_1\, B => \U1/N_1783_0\, Y
         => \U1/un12_state_0_0_a2_0\);
    
    \U1/state_tr0_3_a2_2_1_0\ : NOR2A
      port map(A => \U1/cmnd[3]_net_1\, B => \U1/cmnd[0]_net_1\, 
        Y => \U1/state_tr0_3_a2_2_1_net_1\);
    
    \U1/un10_i_a2_0_a2_0_a2_0[2]\ : OR2
      port map(A => \U1/state[6]_net_1\, B => 
        \U1/state_0[4]_net_1\, Y => 
        \U1/un10_i_a2_0_a2_0_a2_0[2]_net_1\);
    
    \U1/P12_xaddr_4_r[12]\ : NOR3A
      port map(A => \U1/N_1538\, B => \U1/N_1629\, C => 
        \U1/addr_ld_0_sqmuxa\, Y => \U1/xaddr_4[12]\);
    
    \U1/G1_0_P4_un12_state_0_0_a2\ : OR2A
      port map(A => \U1/state[3]_net_1\, B => \U1/N_1922\, Y => 
        \U1/N_1669\);
    
    \U1/P6_start_3_I_31\ : XOR2
      port map(A => \U1/start[1]_net_1\, B => 
        \U1/DWACT_ADD_CI_0_TMP[0]\, Y => \U1/start_3[1]\);
    
    \U1/P5_rdata_4_i_0[4]\ : OA1B
      port map(A => \U1/N_1784\, B => \nvm_dout[4]\, C => 
        \U1/rdata_4_i_0_0[4]\, Y => \U1/rdata_4_i_0[4]\);
    
    \U1/un5_esector_i_0_o2\ : OR3A
      port map(A => \U1/un5_esector_i_0_o2_0_net_1\, B => 
        \U1/N_1529\, C => \U1/N_1528\, Y => \U1/N_1534\);
    
    \U1/P5_rdata_4_i_0_a2[4]\ : NOR2A
      port map(A => \U1/N_1522\, B => \U1/rdata[3]_net_1\, Y => 
        \U1/N_1756\);
    
    \U1/wptr[4]\ : DFN1C1
      port map(D => \U1/wptr_4_i_m2[4]\, CLK => clk60M, CLR => 
        RST_c, Q => \U1/wptr[4]_net_1\);
    
    \U1/state_tr0_3_a2\ : NOR2B
      port map(A => \U1/state_0[7]_net_1\, B => \U1/N_1698_1\, Y
         => \U1/state_ns[1]\);
    
    \CSn_pad/U0/U0\ : IOPAD_IN
      port map(PAD => CSn, Y => \CSn_pad/U0/NET1\);
    
    \U1/P12_xaddr_4_i_m2[3]\ : MX2C
      port map(A => \U1/raddr[3]\, B => \U1/un2_xaddr[3]\, S => 
        \U1/state2_0[1]_net_1\, Y => \U1/N_1620\);
    
    \U1/state2_ns_i_a2_0_0_a2[8]\ : OR3C
      port map(A => \U1/state2_ns_i_a2_i_0_a2_7_5[9]_net_1\, B
         => \U1/state2_ns_i_a2_i_0_a2_7_6[9]_net_1\, C => 
        \U1/swrite_net_1\, Y => \U1/N_1703\);
    
    \U1/G1_3_P4_raddr[3]\ : DFN1E1C1
      port map(D => \U1/N_1609\, CLK => CLK_c, CLR => RST_c, E
         => \U1/un33_state\, Q => \U1/raddr[3]\);
    
    \U1/un1_inc_I_91\ : XOR2
      port map(A => \U1/N_21\, B => \U1/raddr[15]\, Y => 
        \U1/I_91\);
    
    \U1/un1_inc_I_111\ : AND3
      port map(A => \U1/DWACT_FINC_E[0]\, B => 
        \U1/DWACT_FINC_E[2]\, C => \U1/DWACT_FINC_E[5]\, Y => 
        \U1/DWACT_FINC_E[28]\);
    
    \U1/state2_tr12_i_0_0\ : OR2A
      port map(A => \U1/state2[6]_net_1\, B => \U1/N_1730\, Y => 
        \U1/state2_tr12_i_0_0_net_1\);
    
    \U1/P6_waddr_3_I_34\ : AX1C
      port map(A => \U1/DWACT_ADD_CI_0_g_array_11_0[0]\, B => 
        \U1/waddr[6]_net_1\, C => \U1/waddr[7]_net_1\, Y => 
        \U1/waddr_3[7]\);
    
    \U1/dly_bulk\ : DFN1C1
      port map(D => \U1/un5_ebulk_0_a2_0_a2_net_1\, CLK => clk60M, 
        CLR => RST_c, Q => \U1/dly_bulk_net_1\);
    
    \U1/P9_swrite_1_0_0_a2_1\ : OR2
      port map(A => \U1/un1_end_adr[17]\, B => \U1/N_1526_i_0\, Y
         => \U1/N_1782\);
    
    \U1/start[3]\ : DFN1C1
      port map(D => \U1/start_3[3]\, CLK => CLK_c, CLR => 
        \U1/N_1471_0\, Q => \U1/start[3]_net_1\);
    
    \U1/G1_14_P4_raddr[14]\ : DFN1E1C1
      port map(D => \U1/N_1659\, CLK => CLK_c, CLR => RST_c, E
         => \U1/un110_state\, Q => \U1/raddr[14]\);
    
    \U1/xaddr[9]\ : DFN1E1C1
      port map(D => \U1/xaddr_4[9]\, CLK => clk60M, CLR => RST_c, 
        E => \U1/N_1371_0\, Q => \U1/xaddr[9]_net_1\);
    
    \U2/apgm\ : NOR2A
      port map(A => nvm_pgm, B => \nvm_addr_0[18]\, Y => 
        \U2/apgm_net_1\);
    
    \U2/M1/NVM_INST\ : NVM
      generic map(MEMORYFILE => "NVM1.mem")

      port map(RD(31) => nc47, RD(30) => nc34, RD(29) => nc9, 
        RD(28) => nc13, RD(27) => nc23, RD(26) => nc33, RD(25)
         => nc16, RD(24) => nc26, RD(23) => nc45, RD(22) => nc27, 
        RD(21) => nc17, RD(20) => nc36, RD(19) => nc48, RD(18)
         => nc37, RD(17) => nc5, RD(16) => nc52, RD(15) => nc51, 
        RD(14) => nc4, RD(13) => nc42, RD(12) => nc41, RD(11) => 
        nc25, RD(10) => nc15, RD(9) => nc35, RD(8) => nc49, RD(7)
         => \U2/adata[7]\, RD(6) => \U2/adata[6]\, RD(5) => 
        \U2/adata[5]\, RD(4) => \U2/adata[4]\, RD(3) => 
        \U2/adata[3]\, RD(2) => \U2/adata[2]\, RD(1) => 
        \U2/adata[1]\, RD(0) => \U2/adata[0]\, BUSY => \U2/busy1\, 
        STATUS(1) => nc28, STATUS(0) => nc18, ADDR(17) => 
        \nvm_addr[17]\, ADDR(16) => \nvm_addr[16]\, ADDR(15) => 
        \nvm_addr[15]\, ADDR(14) => \nvm_addr[14]\, ADDR(13) => 
        \nvm_addr[13]\, ADDR(12) => \nvm_addr[12]\, ADDR(11) => 
        \nvm_addr[11]\, ADDR(10) => \nvm_addr[10]\, ADDR(9) => 
        \nvm_addr[9]\, ADDR(8) => \nvm_addr[8]\, ADDR(7) => 
        \nvm_addr[7]\, ADDR(6) => \nvm_addr[6]\, ADDR(5) => 
        \nvm_addr[5]\, ADDR(4) => \nvm_addr[4]\, ADDR(3) => 
        \nvm_addr[3]\, ADDR(2) => \nvm_addr[2]\, ADDR(1) => 
        \nvm_addr[1]\, ADDR(0) => \nvm_addr[0]\, WD(31) => \GND\, 
        WD(30) => \GND\, WD(29) => \GND\, WD(28) => \GND\, WD(27)
         => \GND\, WD(26) => \GND\, WD(25) => \GND\, WD(24) => 
        \GND\, WD(23) => \GND\, WD(22) => \GND\, WD(21) => \GND\, 
        WD(20) => \GND\, WD(19) => \GND\, WD(18) => \GND\, WD(17)
         => \GND\, WD(16) => \GND\, WD(15) => \GND\, WD(14) => 
        \GND\, WD(13) => \GND\, WD(12) => \GND\, WD(11) => \GND\, 
        WD(10) => \GND\, WD(9) => \GND\, WD(8) => \GND\, WD(7)
         => \nvm_din[7]\, WD(6) => \nvm_din[6]\, WD(5) => 
        \nvm_din[5]\, WD(4) => \nvm_din[4]\, WD(3) => 
        \nvm_din[3]\, WD(2) => \nvm_din[2]\, WD(1) => 
        \nvm_din[1]\, WD(0) => \nvm_din[0]\, DATAWIDTH(1) => 
        \GND\, DATAWIDTH(0) => \GND\, REN => nvm_read, WEN => 
        \U2/awe_net_1\, PROGRAM => \U2/apgm_net_1\, SPAREPAGE => 
        \GND\, AUXBLOCK => \GND\, READNEXT => nvm_read, ERASEPAGE
         => \U2/aerase_net_1\, UNPROTECTPAGE => \GND\, 
        DISCARDPAGE => \GND\, OVERWRITEPROTECT => \GND\, 
        PAGELOSSPROTECT => \GND\, CLK => clk60M, RESET => 
        \AFLSDF_INV_2\, PAGESTATUS => \GND\, OVERWRITEPAGE => 
        \GND\, PIPE => \GND\, LOCKREQUEST => \GND\);
    
    \U1/P9_sbulk_1_0_0_a2_1\ : OR3B
      port map(A => CSn_c, B => \U1/N_1775\, C => 
        \U1/stat[4]_net_1\, Y => \U1/N_1789_i\);
    
    \U1/un6_ewrite_i_0_1\ : NOR3B
      port map(A => \U1/N_1733\, B => \U1/N_1734\, C => 
        \U1/N_897_3\, Y => \U1/un6_ewrite_i_0_1_net_1\);
    
    \U1/state_ns_i_a2_0_0_a2_0_0[7]\ : AOI1B
      port map(A => \U1/N_1799\, B => \U1/state_0[7]_net_1\, C
         => \U1/N_1781\, Y => \U1/state_ns_i_a2_0_0_a2_0[7]\);
    
    \U1/state2[2]\ : DFN1C1
      port map(D => \U1/state2_ns[7]\, CLK => clk60M, CLR => 
        RST_c, Q => nvm_we);
    
    \U1/state_ns_i_a2_0_0_a2_1[7]\ : AO1B
      port map(A => \U1/N_1767\, B => \U1/N_1768\, C => 
        \U1/state_ns_i_a2_0_0_a2_1_1[7]_net_1\, Y => \U1/N_1699\);
    
    \U1/state2_tr12_i_0_a2_0_6\ : NOR2
      port map(A => \U1/xaddr[13]_net_1\, B => 
        \U1/xaddr[11]_net_1\, Y => 
        \U1/state2_tr12_i_0_a2_0_6_net_1\);
    
    \U1/G1_15_P4_raddr[15]\ : DFN1E1C1
      port map(D => \U1/N_1615\, CLK => CLK_c, CLR => RST_c, E
         => \U1/un117_state\, Q => \U1/raddr[15]\);
    
    \U1/P6_waddr_3_I_53\ : AND2
      port map(A => \U1/waddr[4]_net_1\, B => \U1/waddr[5]_net_1\, 
        Y => \U1/DWACT_ADD_CI_0_pog_array_1_1_0[0]\);
    
    \U1/P6_waddr_3_I_30\ : XOR2
      port map(A => \U1/waddr[4]_net_1\, B => 
        \U1/DWACT_ADD_CI_0_g_array_2[0]\, Y => \U1/waddr_3[4]\);
    
    \U1/P12_xaddr_4_i_m2[14]\ : MX2C
      port map(A => \U1/raddr[14]\, B => \U1/un2_xaddr[14]\, S
         => \U1/state2[1]_net_1\, Y => \U1/N_1631\);
    
    \U1/P12_xaddr_4_r[5]\ : NOR3A
      port map(A => \U1/N_1538_0\, B => \U1/N_1622\, C => 
        \U1/addr_ld_0_sqmuxa_0\, Y => \U1/xaddr_4[5]\);
    
    \U1/un8_nxt2_i_a2_i_0\ : OR2
      port map(A => \U1/state2_0[8]_net_1\, B => 
        \U1/state2_0[1]_net_1\, Y => \U1/N_1371_0\);
    
    \U1/P12_xaddr_4_r[11]\ : NOR3A
      port map(A => \U1/N_1538\, B => \U1/N_1628\, C => 
        \U1/addr_ld_0_sqmuxa\, Y => \U1/xaddr_4[11]\);
    
    \U1/wptr[3]\ : DFN1C1
      port map(D => \U1/wptr_4_i_m2[3]\, CLK => clk60M, CLR => 
        RST_c, Q => \U1/wptr[3]_net_1\);
    
    \U1/un1_inc_I_65\ : AND3
      port map(A => \U1/DWACT_FINC_E[6]\, B => \U1/raddr[9]\, C
         => \U1/raddr[10]\, Y => \U1/N_39\);
    
    \U1/G1_14_P4_raddr_117_i_m2_i_m2[14]\ : MX2
      port map(A => \U1/I_84\, B => DI_c, S => 
        \U1/state[5]_net_1\, Y => \U1/N_1659\);
    
    \U1/bit_cnt_i[0]\ : INV
      port map(A => \U1/bit_cnt_0[0]_net_1\, Y => 
        \U1/bit_cnt_i[0]_net_1\);
    
    \U1/P5_rdata_4_2_0[0]\ : OR3B
      port map(A => \U1/N_1706\, B => \U1/N_1707\, C => 
        \U1/N_1522\, Y => \U1/rdata_4[0]\);
    
    \U1/state2_ns_i_a2_0_0_a2_5_0[8]\ : NOR2B
      port map(A => \U1/sbulk_net_1\, B => \U1/xaddr[18]_net_1\, 
        Y => \U1/state2_ns_i_a2_0_0_a2_5_0[8]_net_1\);
    
    \U1/state2_tr12_i_0_a2_0_9\ : NOR3
      port map(A => \U1/xaddr[1]_net_1\, B => \U1/xaddr[3]_net_1\, 
        C => \U1/xaddr[0]_net_1\, Y => 
        \U1/state2_tr12_i_0_a2_0_9_net_1\);
    
    \U1/state[3]\ : DFN1E1C1
      port map(D => \U1/N_1175\, CLK => CLK_c, CLR => CSn_c, E
         => \U1/N_1783\, Q => \U1/state[3]_net_1\);
    
    \U1/P9_ssector_1_0_0\ : OAI1
      port map(A => \U1/N_1789_i\, B => \U1/ssector_1_0_0_a2_1\, 
        C => \U1/N_1692\, Y => \U1/ssector_1\);
    
    \U1/state_ns_i_a2_i_0_a2_0_0[4]\ : OR2A
      port map(A => \U1/state_0[7]_net_1\, B => \U1/N_1799\, Y
         => \U1/state_ns_i_a2_i_0_a2_0_0[4]_net_1\);
    
    \U1/rdata[3]\ : DFN0C1
      port map(D => \U1/rdata_4[3]\, CLK => CLK_c, CLR => CSn_c, 
        Q => \U1/rdata[3]_net_1\);
    
    \U1/P12_xaddr_4_i_m2[10]\ : MX2C
      port map(A => \U1/raddr[10]\, B => \U1/un2_xaddr[10]\, S
         => \U1/state2[1]_net_1\, Y => \U1/N_1627\);
    
    AFLSDF_INV_3 : INV
      port map(A => RST_c, Y => \AFLSDF_INV_3\);
    
    \U1/state_tr0_3_a2_2_1\ : OR2A
      port map(A => \U1/cmnd[5]_net_1\, B => \U1/cmnd[4]_net_1\, 
        Y => \U1/N_1769_1\);
    
    \U1/xaddr[10]\ : DFN1E1C1
      port map(D => \U1/xaddr_4[10]\, CLK => clk60M, CLR => RST_c, 
        E => \U1/N_1371\, Q => \U1/xaddr[10]_net_1\);
    
    \U1/P12_xaddr_4_r[13]\ : NOR3A
      port map(A => \U1/N_1538\, B => \U1/N_1630\, C => 
        \U1/addr_ld_0_sqmuxa\, Y => \U1/xaddr_4[13]\);
    
    DI_pad_1 : BUFF
      port map(A => DI_c, Y => DI_c_1);
    
    \U1/state2[5]\ : DFN1C1
      port map(D => \U1/state2_ns_i_a2_i_0[4]_net_1\, CLK => 
        clk60M, CLR => RST_c, Q => \U1/state2[5]_net_1\);
    
    \U1/waddr[2]\ : DFN1C1
      port map(D => \U1/waddr_3[2]\, CLK => CLK_c, CLR => 
        \U1/un21_rstn_i_a2_i\, Q => \U1/waddr[2]_net_1\);
    
    \U1/xaddr[0]\ : DFN1E1C1
      port map(D => \U1/xaddr_4[0]\, CLK => clk60M, CLR => RST_c, 
        E => \U1/N_1371_0\, Q => \U1/xaddr[0]_net_1\);
    
    \U1/xaddr[18]\ : DFN1E1C1
      port map(D => \U1/xaddr_4[18]\, CLK => clk60M, CLR => RST_c, 
        E => \U1/N_1371\, Q => \U1/xaddr[18]_net_1\);
    
    \U1/un1_inc_I_83\ : AND3
      port map(A => \U1/DWACT_FINC_E[6]\, B => 
        \U1/DWACT_FINC_E[7]\, C => \U1/DWACT_FINC_E[8]\, Y => 
        \U1/N_26\);
    
    \U1/un1_inc_I_73\ : AX1C
      port map(A => \U1/DWACT_FINC_E[7]\, B => 
        \U1/DWACT_FINC_E[6]\, C => \U1/raddr[12]\, Y => \U1/I_73\);
    
    \U1/statese_i_0_a2_0\ : NOR3C
      port map(A => \U1/bit_cnt[0]_net_1\, B => 
        \U1/bit_cnt[2]_net_1\, C => \U1/bit_cnt[1]_net_1\, Y => 
        \U1/N_1783_0\);
    
    \U1/un1_inc_I_52\ : AX1C
      port map(A => \U1/raddr[8]\, B => \U1/DWACT_FINC_E[4]\, C
         => \U1/raddr[9]\, Y => \U1/I_52\);
    
    \U1/P5_rdata_4_2_0_a2_0[0]\ : OR2B
      port map(A => nvm_read, B => \nvm_dout[0]\, Y => 
        \U1/N_1707\);
    
    \U1/P9_sbulk_1_0_0_a2\ : OR2A
      port map(A => \U1/sbulk_net_1\, B => \U1/state2[0]_net_1\, 
        Y => \U1/N_1687\);
    
    \U1/state2_ns_i_a2_i_0_a2_1[9]\ : OR3B
      port map(A => \U1/state2[7]_net_1\, B => nvm_busy, C => 
        \U1/N_1582\, Y => \U1/N_1739\);
    
    \U1/state_ns_i_a2_i_a2_1[5]\ : NOR2
      port map(A => \U1/cmnd[2]_net_1\, B => \U1/N_1771\, Y => 
        \U1/N_1774\);
    
    \U1/wdata[4]/U1\ : DFN1C1
      port map(D => \U1/wdata[4]/Y\, CLK => CLK_c, CLR => 
        \U1/N_1471_0\, Q => \U1/wdata[4]\);
    
    \U1/P5_rdata_4_2_0_a2[2]\ : OR2B
      port map(A => \U1/rdata[1]_net_1\, B => \U1/N_1522\, Y => 
        \U1/N_1708\);
    
    \U1/un5_esector_i_0_o2_3\ : AOI1
      port map(A => \U1/raddr[16]\, B => \U1/stat[2]_net_1\, C
         => \U1/stat[3]_net_1\, Y => \U1/N_1586\);
    
    \U1/P5_rdata_4_2_0_0[3]\ : OA1A
      port map(A => \U1/stat[3]_net_1\, B => \U1/N_1803\, C => 
        \U1/N_1711\, Y => \U1/rdata_4_2_0_0[3]\);
    
    \U1/G1_5_P4_raddr[5]\ : DFN1E1C1
      port map(D => \U1/N_1610\, CLK => CLK_c, CLR => RST_c, E
         => \U1/un47_state\, Q => \U1/raddr[5]\);
    
    \U1/P12_xaddr_4_i_m2[8]\ : MX2C
      port map(A => \U1/raddr[8]\, B => \U1/un2_xaddr[8]\, S => 
        \U1/state2[1]_net_1\, Y => \U1/N_1625\);
    
    \U1/P12_xaddr_4_i_m2[15]\ : MX2C
      port map(A => \U1/raddr[15]\, B => \U1/un2_xaddr[15]\, S
         => \U1/state2[1]_net_1\, Y => \U1/N_1632\);
    
    \U1/un1_inc_I_98\ : XOR2
      port map(A => \U1/N_16\, B => \U1/raddr[16]\, Y => 
        \U1/I_98\);
    
    \U1/addr_i_m2_i_m2[0]\ : MX2
      port map(A => \U1/xaddr[0]_net_1\, B => \U1/raddr[0]\, S
         => \U1/state2_0[9]_net_1\, Y => \nvm_addr[0]\);
    
    \U1/un1_inc_I_76\ : AND3
      port map(A => \U1/DWACT_FINC_E[6]\, B => 
        \U1/DWACT_FINC_E[7]\, C => \U1/raddr[12]\, Y => \U1/N_31\);
    
    \U1/addr_ld_0_sqmuxa_0_a2_0_1\ : OR3A
      port map(A => \U1/cmnd[0]_net_1\, B => \U1/N_1798\, C => 
        \U1/N_1771\, Y => \U1/addr_ld_0_sqmuxa_0_a2_0_1_net_1\);
    
    \U1/P12_xaddr_4_r[10]\ : NOR3A
      port map(A => \U1/N_1538\, B => \U1/N_1627\, C => 
        \U1/addr_ld_0_sqmuxa\, Y => \U1/xaddr_4[10]\);
    
    \U1/un2_xaddr_ADD_19x19_slow_I2_S\ : AX1
      port map(A => \U1/I0_un1_CO1_0\, B => \U1/xaddr[1]_net_1\, 
        C => \U1/xaddr[2]_net_1\, Y => \U1/un2_xaddr[2]\);
    
    \U1/un2_xaddr_ADD_19x19_slow_I17_CO1\ : OR2B
      port map(A => \U1/xaddr[17]_net_1\, B => \U1/I16_un1_CO1\, 
        Y => \U1/N258\);
    
    \U1/waddr[5]\ : DFN1C1
      port map(D => \U1/waddr_3[5]\, CLK => CLK_c, CLR => 
        \U1/un21_rstn_i_a2_i\, Q => \U1/waddr[5]_net_1\);
    
    \U1/state2[4]\ : DFN1C1
      port map(D => \U1/state2_tr11_i_0_net_1\, CLK => clk60M, 
        CLR => RST_c, Q => nvm_erase);
    
    \U2/nvm_dout[6]\ : MX2
      port map(A => \U2/adata[6]\, B => \U2/bdata[6]\, S => 
        \nvm_addr[18]\, Y => \nvm_dout[6]\);
    
    \U1/un1_inc_I_12\ : AND3
      port map(A => \U1/raddr[0]\, B => \U1/raddr[1]\, C => 
        \U1/raddr[2]\, Y => \U1/N_77\);
    
    \U1/un2_xaddr_ADD_19x19_slow_I6_S\ : AX1
      port map(A => \U1/I4_un1_CO1_0\, B => \U1/xaddr[5]_net_1\, 
        C => \U1/xaddr[6]_net_1\, Y => \U1/un2_xaddr[6]\);
    
    \U1/P6_start_3_I_19\ : XOR2
      port map(A => \U1/start[0]_net_1\, B => \U1/un146_state\, Y
         => \U1/DWACT_ADD_CI_0_partial_sum_0[0]\);
    
    \U1/state_ns_i_a2_0_0_2[7]\ : AOI1B
      port map(A => \U1/N_1697_1\, B => 
        \U1/state_ns_i_a2_0_0_a2_0[7]\, C => 
        \U1/state_ns_i_a2_0_0_1[7]_net_1\, Y => 
        \U1/state_ns_i_a2_0_0_2[7]_net_1\);
    
    \U1/bit_cnt_0[0]\ : DFN1C1
      port map(D => \U1/bit_cnt_i[0]_net_1\, CLK => CLK_c, CLR
         => CSn_c, Q => \U1/bit_cnt_0[0]_net_1\);
    
    \U1/P12_xaddr_4_i_m2[1]\ : MX2C
      port map(A => \U1/raddr[1]\, B => \U1/un2_xaddr[1]\, S => 
        \U1/state2_0[1]_net_1\, Y => \U1/N_1618\);
    
    \U1/addr_i_m2_i_m2[3]\ : MX2
      port map(A => \U1/xaddr[3]_net_1\, B => \U1/raddr[3]\, S
         => \U1/state2_0[9]_net_1\, Y => \nvm_addr[3]\);
    
    \U1/iwebit_1_0_a2_1\ : NOR2A
      port map(A => \U1/webit_net_1\, B => \U1/state2[0]_net_1\, 
        Y => \U1/N_1775\);
    
    \U1/state2_ns_i_a2_i_0_o2_1_tz[9]\ : AO1B
      port map(A => \U1/state2_ns_i_a2_i_0_a2_7_5[9]_net_1\, B
         => \U1/state2_ns_i_a2_i_0_a2_7_6[9]_net_1\, C => 
        \U1/N_1801\, Y => \U1/N_1927_tz\);
    
    \U1/P12_xaddr_4_i_a2_2[16]\ : OR2B
      port map(A => \U1/state2_0[1]_net_1\, B => \U1/N_1538\, Y
         => \U1/N_1926\);
    
    \U1/un1_end_adr_ADD_19x19_slow_I15_CO1_5\ : NOR3C
      port map(A => \U1/raddr[11]\, B => 
        \U1/ADD_19x19_slow_I15_CO1_3\, C => \U1/raddr[10]\, Y => 
        \U1/ADD_19x19_slow_I15_CO1_5\);
    
    \U1/P5_rdata_4_2_0[3]\ : AO1C
      port map(A => \U1/N_1784\, B => \nvm_dout[3]\, C => 
        \U1/rdata_4_2_0_0[3]\, Y => \U1/rdata_4[3]\);
    
    \U1/G1_17_P4_un131_state_0_0\ : AO1B
      port map(A => \U1/N_1805\, B => \U1/state[6]_net_1\, C => 
        \U1/N_1669\, Y => \U1/un131_state\);
    
    \U1/un5_esector_i_0_o2_7\ : OR2A
      port map(A => \U1/cmnd[3]_net_1\, B => \U1/cmnd[2]_net_1\, 
        Y => \U1/N_1530\);
    
    \U1/G1_3_P4_raddr_29_i_m2[3]\ : MX2
      port map(A => DI_c_0, B => \U1/I_13\, S => 
        \U1/bit_cnt_0[0]_net_1\, Y => \U1/N_1609\);
    
    \U1/bit_cnt[1]\ : DFN1C1
      port map(D => \U1/SUM1\, CLK => CLK_c, CLR => CSn_c, Q => 
        \U1/bit_cnt[1]_net_1\);
    
    \U1/state_ns_i_a2_0_0_a2_0_1[7]\ : AOI1
      port map(A => \U1/N_1776\, B => \U1/N_1777\, C => 
        \U1/wip_net_1\, Y => \U1/N_1698_1\);
    
    \U1/state_ns_i_a2_i_0_a2[4]\ : OA1
      port map(A => \U1/N_1785\, B => nvm_read, C => 
        \U1/state[4]_net_1\, Y => \U1/N_1754\);
    
    \U1/state_ns_i_a2_0_0_a2_8[7]\ : OR2A
      port map(A => DI_c_0, B => \U1/cmnd[0]_net_1\, Y => 
        \U1/N_1799\);
    
    \U1/start[0]\ : DFN1C1
      port map(D => \U1/DWACT_ADD_CI_0_partial_sum_0[0]\, CLK => 
        CLK_c, CLR => \U1/N_1471_0\, Q => \U1/start[0]_net_1\);
    
    \U1/un1_wptr_I_39\ : NOR3C
      port map(A => \U1/wptr[4]_net_1\, B => \U1/wptr[5]_net_1\, 
        C => \U1/DWACT_ADD_CI_0_g_array_2_1[0]\, Y => 
        \U1/DWACT_ADD_CI_0_g_array_11_1[0]\);
    
    \U1/P12_xaddr_4_i_m2[5]\ : MX2C
      port map(A => \U1/raddr[5]\, B => \U1/un2_xaddr[5]\, S => 
        \U1/state2_0[1]_net_1\, Y => \U1/N_1622\);
    
    \U1/un1_inc_I_23\ : AND3
      port map(A => \U1/DWACT_FINC_E[0]\, B => \U1/raddr[3]\, C
         => \U1/raddr[4]\, Y => \U1/N_69\);
    
    \U1/un1_inc_I_34\ : AND3
      port map(A => \U1/raddr[3]\, B => \U1/raddr[4]\, C => 
        \U1/raddr[5]\, Y => \U1/DWACT_FINC_E[2]\);
    
    \U1/iwebit_1_0_a2_0\ : OR3A
      port map(A => \U1/wena_dly_i\, B => 
        \U1/iwebit_1_0_a2_0_0_net_1\, C => \U1/state2[0]_net_1\, 
        Y => \U1/N_1690\);
    
    \U1/un1_wptr_I_33\ : AX1C
      port map(A => \U1/DWACT_ADD_CI_0_g_array_2_1[0]\, B => 
        \U1/wptr[4]_net_1\, C => \U1/wptr[5]_net_1\, Y => 
        \U1/I_33\);
    
    \U1/un6_ewrite_i_0_2\ : NOR2
      port map(A => \U1/last[4]_net_1\, B => \U1/last[0]_net_1\, 
        Y => \U1/N_897_2\);
    
    \U1/un1_inc_I_115\ : XOR2
      port map(A => \U1/N_4\, B => \U1/raddr[18]\, Y => 
        \U1/I_115\);
    
    \U1/state_ns_i_a2_i_0_a2_0[4]\ : NOR3A
      port map(A => \U1/N_1774\, B => \U1/N_1525\, C => 
        \U1/state_ns_i_a2_i_0_a2_0_0[4]_net_1\, Y => \U1/N_1755\);
    
    \U1/P5_rdata_4_2_0_a2_2[2]\ : OR2A
      port map(A => nvm_read, B => \U1/N_1522\, Y => \U1/N_1784\);
    
    \U1/P6_waddr_3_I_1\ : AND2
      port map(A => \U1/waddr[0]_net_1\, B => 
        \U1/un2_buf_we_0_a2_0_a2_net_1\, Y => 
        \U1/DWACT_ADD_CI_0_TMP_0[0]\);
    
    \U1/P9_sbulk_1_0_0\ : OAI1
      port map(A => \U1/N_1789_i\, B => \U1/sbulk_1_0_0_a2_0_1\, 
        C => \U1/N_1687\, Y => \U1/sbulk_1\);
    
    \U1/state2_ns_i_a2_0_0_a2_2_5[8]\ : NOR3C
      port map(A => \U1/xaddr[12]_net_1\, B => 
        \U1/xaddr[14]_net_1\, C => 
        \U1/state2_ns_i_a2_0_0_a2_2_3[8]_net_1\, Y => 
        \U1/state2_ns_i_a2_0_0_a2_2_5[8]_net_1\);
    
    \U1/G1_1_P4_un19_state_0_0\ : AO1B
      port map(A => \U1/N_1805\, B => \U1/state_0[4]_net_1\, C
         => \U1/N_1669_0\, Y => \U1/un19_state\);
    
    \DO_pad/U0/U0\ : IOPAD_TRI
      port map(D => \DO_pad/U0/NET1\, E => \DO_pad/U0/NET2\, PAD
         => DO);
    
    \U1/un1_inc_I_114\ : AND3
      port map(A => \U1/DWACT_FINC_E[28]\, B => 
        \U1/DWACT_FINC_E[10]\, C => \U1/DWACT_FINC_E[12]\, Y => 
        \U1/N_4\);
    
    \U1/G1_0_P4_raddr[0]\ : DFN1C1
      port map(D => \U1/raddr_0_21\, CLK => CLK_c, CLR => RST_c, 
        Q => \U1/raddr[0]\);
    
    \U1/M1/ram256x8_R0C0\ : RAM4K9
      port map(ADDRA11 => AFLSDF_GND, ADDRA10 => AFLSDF_GND, 
        ADDRA9 => AFLSDF_GND, ADDRA8 => \GND\, ADDRA7 => 
        \U1/waddr[7]_net_1\, ADDRA6 => \U1/waddr[6]_net_1\, 
        ADDRA5 => \U1/waddr[5]_net_1\, ADDRA4 => 
        \U1/waddr[4]_net_1\, ADDRA3 => \U1/waddr[3]_net_1\, 
        ADDRA2 => \U1/waddr[2]_net_1\, ADDRA1 => 
        \U1/waddr[1]_net_1\, ADDRA0 => \U1/waddr[0]_net_1\, 
        ADDRB11 => AFLSDF_GND, ADDRB10 => AFLSDF_GND, ADDRB9 => 
        AFLSDF_GND, ADDRB8 => \GND\, ADDRB7 => \U1/wptr[7]_net_1\, 
        ADDRB6 => \U1/wptr[6]_net_1\, ADDRB5 => 
        \U1/wptr[5]_net_1\, ADDRB4 => \U1/wptr[4]_net_1\, ADDRB3
         => \U1/wptr[3]_net_1\, ADDRB2 => \U1/wptr[2]_net_1\, 
        ADDRB1 => \U1/wptr[1]_net_1\, ADDRB0 => 
        \U1/wptr[0]_net_1\, DINA8 => \GND\, DINA7 => 
        \U1/wdata[6]\, DINA6 => \U1/wdata[5]\, DINA5 => 
        \U1/wdata[4]\, DINA4 => \U1/wdata[3]\, DINA3 => 
        \U1/wdata[2]\, DINA2 => \U1/wdata[1]\, DINA1 => 
        \U1/wdata[0]\, DINA0 => DI_c, DINB8 => \GND\, DINB7 => 
        \GND\, DINB6 => \GND\, DINB5 => \GND\, DINB4 => \GND\, 
        DINB3 => \GND\, DINB2 => \GND\, DINB1 => \GND\, DINB0 => 
        \GND\, WIDTHA0 => \VCC\, WIDTHA1 => \VCC\, WIDTHB0 => 
        \VCC\, WIDTHB1 => \VCC\, PIPEA => \GND\, PIPEB => \GND\, 
        WMODEA => \GND\, WMODEB => \GND\, BLKA => \GND\, BLKB => 
        \GND\, WENA => \U1/N_1923_i_net_1\, WENB => \VCC\, CLKA
         => CLK_c, CLKB => clk60M, RESET => \AFLSDF_INV_1\, 
        DOUTA8 => OPEN, DOUTA7 => OPEN, DOUTA6 => OPEN, DOUTA5
         => OPEN, DOUTA4 => OPEN, DOUTA3 => OPEN, DOUTA2 => OPEN, 
        DOUTA1 => OPEN, DOUTA0 => OPEN, DOUTB8 => OPEN, DOUTB7
         => \nvm_din[7]\, DOUTB6 => \nvm_din[6]\, DOUTB5 => 
        \nvm_din[5]\, DOUTB4 => \nvm_din[4]\, DOUTB3 => 
        \nvm_din[3]\, DOUTB2 => \nvm_din[2]\, DOUTB1 => 
        \nvm_din[1]\, DOUTB0 => \nvm_din[0]\);
    
    \U1/state_ns_i_a2_0_0_1[7]\ : NOR3C
      port map(A => \U1/N_1699\, B => \U1/N_1700\, C => 
        \U1/N_1701_i\, Y => \U1/state_ns_i_a2_0_0_1[7]_net_1\);
    
    \DI_pad/U0/U0\ : IOPAD_IN
      port map(PAD => DI, Y => \DI_pad/U0/NET1\);
    
    \U1/un2_xaddr_ADD_19x19_slow_I15_S\ : AX1
      port map(A => \U1/N242\, B => \U1/xaddr[14]_net_1\, C => 
        \U1/xaddr[15]_net_1\, Y => \U1/un2_xaddr[15]\);
    
    \U2/bwe\ : NOR2B
      port map(A => nvm_we, B => \nvm_addr_0[18]\, Y => 
        \U2/bwe_net_1\);
    
    \C2/Core\ : PLL
      generic map(VCOFREQUENCY => 120.0)

      port map(CLKA => clk100M, EXTFB => \GND\, POWERDOWN => 
        \VCC\, GLA => clk60M, LOCK => OPEN, GLB => OPEN, YB => 
        OPEN, GLC => OPEN, YC => OPEN, OADIV0 => \VCC\, OADIV1
         => \GND\, OADIV2 => \GND\, OADIV3 => \GND\, OADIV4 => 
        \GND\, OADIVHALF => \GND\, OADIVRST => \AFLSDF_INV_0\, 
        OAMUX0 => \GND\, OAMUX1 => \GND\, OAMUX2 => \VCC\, 
        DLYGLA0 => \GND\, DLYGLA1 => \GND\, DLYGLA2 => \GND\, 
        DLYGLA3 => \GND\, DLYGLA4 => \GND\, OBDIV0 => AFLSDF_GND, 
        OBDIV1 => AFLSDF_VCC, OBDIV2 => AFLSDF_GND, OBDIV3 => 
        AFLSDF_GND, OBDIV4 => AFLSDF_GND, OBMUX0 => AFLSDF_GND, 
        OBMUX1 => AFLSDF_VCC, OBMUX2 => AFLSDF_GND, DLYYB0 => 
        AFLSDF_GND, DLYYB1 => AFLSDF_GND, DLYYB2 => AFLSDF_GND, 
        DLYYB3 => AFLSDF_GND, DLYYB4 => AFLSDF_GND, DLYGLB0 => 
        AFLSDF_GND, DLYGLB1 => AFLSDF_GND, DLYGLB2 => AFLSDF_GND, 
        DLYGLB3 => AFLSDF_GND, DLYGLB4 => AFLSDF_GND, OCDIV0 => 
        AFLSDF_VCC, OCDIV1 => AFLSDF_VCC, OCDIV2 => AFLSDF_GND, 
        OCDIV3 => AFLSDF_VCC, OCDIV4 => AFLSDF_GND, OCMUX0 => 
        AFLSDF_GND, OCMUX1 => AFLSDF_VCC, OCMUX2 => AFLSDF_GND, 
        DLYYC0 => AFLSDF_GND, DLYYC1 => AFLSDF_GND, DLYYC2 => 
        AFLSDF_GND, DLYYC3 => AFLSDF_GND, DLYYC4 => AFLSDF_GND, 
        DLYGLC0 => AFLSDF_GND, DLYGLC1 => AFLSDF_GND, DLYGLC2 => 
        AFLSDF_GND, DLYGLC3 => AFLSDF_GND, DLYGLC4 => AFLSDF_GND, 
        FINDIV0 => \VCC\, FINDIV1 => \VCC\, FINDIV2 => \GND\, 
        FINDIV3 => \GND\, FINDIV4 => \VCC\, FINDIV5 => \GND\, 
        FINDIV6 => \GND\, FBDIV0 => \VCC\, FBDIV1 => \VCC\, 
        FBDIV2 => \VCC\, FBDIV3 => \GND\, FBDIV4 => \VCC\, FBDIV5
         => \GND\, FBDIV6 => \GND\, FBDLY0 => \GND\, FBDLY1 => 
        \GND\, FBDLY2 => \GND\, FBDLY3 => \GND\, FBDLY4 => \GND\, 
        FBSEL0 => \VCC\, FBSEL1 => \GND\, XDLYSEL => \GND\, 
        VCOSEL0 => \GND\, VCOSEL1 => \GND\, VCOSEL2 => \VCC\);
    
    \U1/P12_wptr_4_i_m2[3]\ : MX2
      port map(A => \U1/I_30\, B => \U1/start[3]_net_1\, S => 
        \U1/state2[8]_net_1\, Y => \U1/wptr_4_i_m2[3]\);
    
    \U1/waddr[4]\ : DFN1C1
      port map(D => \U1/waddr_3[4]\, CLK => CLK_c, CLR => 
        \U1/un21_rstn_i_a2_i\, Q => \U1/waddr[4]_net_1\);
    
    \U1/G1_13_P4_un103_state_0_0_a2_1\ : NOR3A
      port map(A => \U1/bit_cnt[1]_net_1\, B => 
        \U1/bit_cnt[0]_net_1\, C => \U1/bit_cnt_0[2]_net_1\, Y
         => \U1/N_1680_1\);
    
    \U1/G1_17_P4_raddr_141_i_m2[17]\ : MX2
      port map(A => DI_c_1, B => \U1/I_105\, S => 
        \U1/bit_cnt[0]_net_1\, Y => \U1/N_1616\);
    
    \U1/P12_wptr_4_i_m2[4]\ : MX2
      port map(A => \U1/I_28\, B => \U1/start[4]_net_1\, S => 
        \U1/state2[8]_net_1\, Y => \U1/wptr_4_i_m2[4]\);
    
    \U1/G1_4_P4_raddr[4]\ : DFN1E1C1
      port map(D => \U1/N_1655\, CLK => CLK_c, CLR => RST_c, E
         => \U1/un40_state\, Q => \U1/raddr[4]\);
    
    \U1/state_tr8_0_a2_0_a2_1\ : OR3B
      port map(A => \U1/state_0[7]_net_1\, B => DI_c_0, C => 
        \U1/N_1528\, Y => \U1/state_tr8_0_a2_0_a2_1_net_1\);
    
    \U1/P12_xaddr_4_r[17]\ : NOR3
      port map(A => \U1/N_1723\, B => \U1/xaddr_4_i_0[17]\, C => 
        \U1/addr_ld_0_sqmuxa\, Y => \U1/xaddr_4[17]\);
    
    \U1/rdata[5]\ : DFN0C1
      port map(D => \U1/rdata_4[5]\, CLK => CLK_c, CLR => CSn_c, 
        Q => \U1/rdata[5]_net_1\);
    
    \U1/state2_tr2_i_0\ : NOR2B
      port map(A => \U1/wip_net_1\, B => \U1/state2_0[9]_net_1\, 
        Y => \U1/state2_tr2_i_0_net_1\);
    
    \U1/addr_i_m2_i_m2[10]\ : MX2
      port map(A => \U1/xaddr[10]_net_1\, B => \U1/raddr[10]\, S
         => \U1/state2[9]_net_1\, Y => \nvm_addr[10]\);
    
    \U1/P12_xaddr_4_r[6]\ : NOR3A
      port map(A => \U1/N_1538_0\, B => \U1/N_1623\, C => 
        \U1/addr_ld_0_sqmuxa_0\, Y => \U1/xaddr_4[6]\);
    
    \U1/un1_wptr_I_31\ : XOR2
      port map(A => \U1/wptr[1]_net_1\, B => 
        \U1/DWACT_ADD_CI_0_TMP_1[0]\, Y => \U1/I_31_0\);
    
    \U1/state2_ns_i_a2_0_0_a2_2_3[8]\ : NOR2B
      port map(A => \U1/xaddr[13]_net_1\, B => 
        \U1/xaddr[11]_net_1\, Y => 
        \U1/state2_ns_i_a2_0_0_a2_2_3[8]_net_1\);
    
    \U2/nvm_dout[2]\ : MX2
      port map(A => \U2/adata[2]\, B => \U2/bdata[2]\, S => 
        \nvm_addr[18]\, Y => \nvm_dout[2]\);
    
    \U1/state_ns_i_a2_0_0_a2_2[7]\ : OR2
      port map(A => \U1/state_0[7]_net_1\, B => \U1/N_1796\, Y
         => \U1/N_1700\);
    
    \U1/un1_wptr_I_28\ : XOR2
      port map(A => \U1/wptr[4]_net_1\, B => 
        \U1/DWACT_ADD_CI_0_g_array_2_1[0]\, Y => \U1/I_28\);
    
    \U1/last[5]\ : DFN1C1
      port map(D => \U1/un10_i_a2_0_a2_1_a2[0]_net_1\, CLK => 
        CSn_c, CLR => RST_c, Q => \U1/last[5]_net_1\);
    
    \U1/last[3]\ : DFN1C1
      port map(D => \U1/un10_i_a2_0_a2_0_a2[2]_net_1\, CLK => 
        CSn_c, CLR => RST_c, Q => \U1/last[3]_net_1\);
    
    \U1/xaddr[7]\ : DFN1E1C1
      port map(D => \U1/xaddr_4[7]\, CLK => clk60M, CLR => RST_c, 
        E => \U1/N_1371_0\, Q => \U1/xaddr[7]_net_1\);
    
    \U1/state[2]\ : DFN1E1C1
      port map(D => \U1/N_1374\, CLK => CLK_c, CLR => CSn_c, E
         => \U1/N_1783\, Q => \U1/state[2]_net_1\);
    
    \U2/berase\ : NOR2B
      port map(A => nvm_erase, B => \nvm_addr_0[18]\, Y => 
        \U2/berase_net_1\);
    
    \U2/M2/NVM_INST\ : NVM
      generic map(MEMORYFILE => "NVM2.mem")

      port map(RD(31) => nc38, RD(30) => nc1, RD(29) => nc2, 
        RD(28) => nc50, RD(27) => nc22, RD(26) => nc12, RD(25)
         => nc21, RD(24) => nc11, RD(23) => nc3, RD(22) => nc32, 
        RD(21) => nc40, RD(20) => nc31, RD(19) => nc44, RD(18)
         => nc7, RD(17) => nc6, RD(16) => nc19, RD(15) => nc29, 
        RD(14) => nc39, RD(13) => nc8, RD(12) => nc43, RD(11) => 
        nc20, RD(10) => nc10, RD(9) => nc24, RD(8) => nc14, RD(7)
         => \U2/bdata[7]\, RD(6) => \U2/bdata[6]\, RD(5) => 
        \U2/bdata[5]\, RD(4) => \U2/bdata[4]\, RD(3) => 
        \U2/bdata[3]\, RD(2) => \U2/bdata[2]\, RD(1) => 
        \U2/bdata[1]\, RD(0) => \U2/bdata[0]\, BUSY => \U2/busy2\, 
        STATUS(1) => nc46, STATUS(0) => nc30, ADDR(17) => 
        \nvm_addr[17]\, ADDR(16) => \nvm_addr[16]\, ADDR(15) => 
        \nvm_addr[15]\, ADDR(14) => \nvm_addr[14]\, ADDR(13) => 
        \nvm_addr[13]\, ADDR(12) => \nvm_addr[12]\, ADDR(11) => 
        \nvm_addr[11]\, ADDR(10) => \nvm_addr[10]\, ADDR(9) => 
        \nvm_addr[9]\, ADDR(8) => \nvm_addr[8]\, ADDR(7) => 
        \nvm_addr[7]\, ADDR(6) => \nvm_addr[6]\, ADDR(5) => 
        \nvm_addr[5]\, ADDR(4) => \nvm_addr[4]\, ADDR(3) => 
        \nvm_addr[3]\, ADDR(2) => \nvm_addr[2]\, ADDR(1) => 
        \nvm_addr[1]\, ADDR(0) => \nvm_addr[0]\, WD(31) => \GND\, 
        WD(30) => \GND\, WD(29) => \GND\, WD(28) => \GND\, WD(27)
         => \GND\, WD(26) => \GND\, WD(25) => \GND\, WD(24) => 
        \GND\, WD(23) => \GND\, WD(22) => \GND\, WD(21) => \GND\, 
        WD(20) => \GND\, WD(19) => \GND\, WD(18) => \GND\, WD(17)
         => \GND\, WD(16) => \GND\, WD(15) => \GND\, WD(14) => 
        \GND\, WD(13) => \GND\, WD(12) => \GND\, WD(11) => \GND\, 
        WD(10) => \GND\, WD(9) => \GND\, WD(8) => \GND\, WD(7)
         => \nvm_din[7]\, WD(6) => \nvm_din[6]\, WD(5) => 
        \nvm_din[5]\, WD(4) => \nvm_din[4]\, WD(3) => 
        \nvm_din[3]\, WD(2) => \nvm_din[2]\, WD(1) => 
        \nvm_din[1]\, WD(0) => \nvm_din[0]\, DATAWIDTH(1) => 
        \GND\, DATAWIDTH(0) => \GND\, REN => nvm_read, WEN => 
        \U2/bwe_net_1\, PROGRAM => \U2/bpgm_net_1\, SPAREPAGE => 
        \GND\, AUXBLOCK => \GND\, READNEXT => nvm_read, ERASEPAGE
         => \U2/berase_net_1\, UNPROTECTPAGE => \GND\, 
        DISCARDPAGE => \GND\, OVERWRITEPROTECT => \GND\, 
        PAGELOSSPROTECT => \GND\, CLK => clk60M, RESET => 
        \AFLSDF_INV_3\, PAGESTATUS => \GND\, OVERWRITEPAGE => 
        \GND\, PIPE => \GND\, LOCKREQUEST => \GND\);
    
    \U1/state_ns_i_a2_0_0_a2_4[7]\ : OR3
      port map(A => \U1/N_1769_1\, B => 
        \U1/state_ns_i_a2_0_0_a2_4_0[7]_net_1\, C => \U1/N_1530\, 
        Y => \U1/N_1767\);
    
    \U1/un1_inc_I_59\ : AND3
      port map(A => \U1/raddr[6]\, B => \U1/raddr[7]\, C => 
        \U1/raddr[8]\, Y => \U1/DWACT_FINC_E[5]\);
    
    \U1/state[4]\ : DFN1E1C1
      port map(D => \U1/state[5]_net_1\, CLK => CLK_c, CLR => 
        CSn_c, E => \U1/N_1783\, Q => \U1/state[4]_net_1\);
    
    \U1/un2_buf_we_0_a2_0_a2\ : NOR2B
      port map(A => \U1/state[2]_net_1\, B => \U1/N_1783_0\, Y
         => \U1/un2_buf_we_0_a2_0_a2_net_1\);
    
    \U1/un3_finished_1\ : XNOR2
      port map(A => \U1/wptr[1]_net_1\, B => \U1/waddr[1]_net_1\, 
        Y => \U1/un3_finished_1_i_0\);
    
    \U1/stat[4]\ : DFN1E1P1
      port map(D => \U1/stat[3]_net_1\, CLK => CLK_c, PRE => 
        RST_c, E => \U1/state[1]_net_1\, Q => \U1/stat[4]_net_1\);
    
    \U1/un1_inc_I_45\ : XOR2
      port map(A => \U1/N_54\, B => \U1/raddr[8]\, Y => \U1/I_45\);
    
    \U1/un2_xaddr_ADD_19x19_slow_I4_un1_CO1\ : OR3B
      port map(A => \U1/xaddr[3]_net_1\, B => \U1/xaddr[4]_net_1\, 
        C => \U1/I2_un1_CO1_0\, Y => \U1/I4_un1_CO1_0\);
    
    \U1/P12_wptr_4_i_m2[7]\ : MX2
      port map(A => \U1/I_34\, B => \U1/start[7]_net_1\, S => 
        \U1/state2[8]_net_1\, Y => \U1/wptr_4_i_m2[7]\);
    
    \U1/P5_rdata_4_2_0_a2[3]\ : OR2B
      port map(A => \U1/rdata[2]_net_1\, B => \U1/N_1522\, Y => 
        \U1/N_1711\);
    
    \U1/addr_i_m2_i_m2[4]\ : MX2
      port map(A => \U1/xaddr[4]_net_1\, B => \U1/raddr[4]\, S
         => \U1/state2_0[9]_net_1\, Y => \nvm_addr[4]\);
    
    \U1/G1_4_P4_un40_state_0_0_m2\ : MX2C
      port map(A => \U1/state[3]_net_1\, B => \U1/state[4]_net_1\, 
        S => \U1/bit_cnt_0[1]_net_1\, Y => \U1/N_1599\);
    
    DI_pad_0 : BUFF
      port map(A => DI_c, Y => DI_c_0);
    
    \U1/G1_13_P4_raddr_109_i_m2[13]\ : MX2
      port map(A => DI_c, B => \U1/I_77\, S => 
        \U1/bit_cnt[0]_net_1\, Y => \U1/N_1614\);
    
    \U1/P12_xaddr_4_r[4]\ : NOR3A
      port map(A => \U1/N_1538_0\, B => \U1/N_1621\, C => 
        \U1/addr_ld_0_sqmuxa_0\, Y => \U1/xaddr_4[4]\);
    
    \U1/un1_end_adr_ADD_19x19_slow_I4_un1_CO1\ : MAJ3
      port map(A => \U1/raddr[4]\, B => \U1/N215\, C => 
        \U1/waddr[4]_net_1\, Y => \U1/I4_un1_CO1\);
    
    \U2/nvm_dout[7]\ : MX2
      port map(A => \U2/adata[7]\, B => \U2/bdata[7]\, S => 
        \nvm_addr[18]\, Y => \nvm_dout[7]\);
    
    \U1/wdata[6]/U1\ : DFN1C1
      port map(D => \U1/wdata[6]/Y\, CLK => CLK_c, CLR => 
        \U1/N_1471_0\, Q => \U1/wdata[6]\);
    
    \U1/un8_nxt2_i_a2_i\ : OR2
      port map(A => \U1/state2_0[8]_net_1\, B => 
        \U1/state2_0[1]_net_1\, Y => \U1/N_1371\);
    
    \U1/P6_start_3_I_39\ : NOR3C
      port map(A => \U1/start[4]_net_1\, B => \U1/start[5]_net_1\, 
        C => \U1/DWACT_ADD_CI_0_g_array_2_0[0]\, Y => 
        \U1/DWACT_ADD_CI_0_g_array_11[0]\);
    
    \U1/P5_rdata_4_1_0_a2[5]\ : OR2B
      port map(A => \U1/rdata[4]_net_1\, B => \U1/N_1522\, Y => 
        \U1/N_1714\);
    
    \U1/addr_i_m2_i_m2[14]\ : MX2
      port map(A => \U1/xaddr[14]_net_1\, B => \U1/raddr[14]\, S
         => \U1/state2[9]_net_1\, Y => \nvm_addr[14]\);
    
    \U1/state2[7]\ : DFN1C1
      port map(D => \U1/state2_ns_i_a2_i[2]_net_1\, CLK => clk60M, 
        CLR => RST_c, Q => \U1/state2[7]_net_1\);
    
    \U1/state_ns_i_a2_0_0_a2_7[7]\ : OR2A
      port map(A => \U1/N_1781\, B => \U1/state_0[4]_net_1\, Y
         => \U1/N_1796\);
    
    \U1/un2_bit_cnt_1_SUM2\ : AX1C
      port map(A => \U1/bit_cnt[0]_net_1\, B => 
        \U1/bit_cnt[1]_net_1\, C => \U1/bit_cnt[2]_net_1\, Y => 
        \U1/SUM2\);
    
    \U1/G1_7_P4_raddr[7]\ : DFN1E1C1
      port map(D => \U1/N_1611\, CLK => CLK_c, CLR => RST_c, E
         => \U1/un61_state\, Q => \U1/raddr[7]\);
    
    \U1/state[5]\ : DFN1E1C1
      port map(D => \U1/state[6]_net_1\, CLK => CLK_c, CLR => 
        CSn_c, E => \U1/N_1783\, Q => \U1/state[5]_net_1\);
    
    \U1/addr_i_m2_i_m2[6]\ : MX2
      port map(A => \U1/xaddr[6]_net_1\, B => \U1/raddr[6]\, S
         => \U1/state2_0[9]_net_1\, Y => \nvm_addr[6]\);
    
    \U1/G1_9_P4_raddr[9]\ : DFN1E1C1
      port map(D => \U1/N_1612\, CLK => CLK_c, CLR => RST_c, E
         => \U1/un75_state\, Q => \U1/raddr[9]\);
    
    \U1/cmnd[5]\ : DFN1E1C1
      port map(D => \U1/cmnd[4]_net_1\, CLK => CLK_c, CLR => 
        RST_c, E => \U1/state[7]_net_1\, Q => \U1/cmnd[5]_net_1\);
    
    \U1/addr_ld_0_sqmuxa_0_a2_0_0\ : NOR2B
      port map(A => \U1/state2_0[8]_net_1\, B => \U1/N_1924\, Y
         => \U1/addr_ld_0_sqmuxa_0\);
    
    \U1/un2_xaddr_ADD_19x19_slow_I5_S\ : XNOR2
      port map(A => \U1/xaddr[5]_net_1\, B => \U1/I4_un1_CO1_0\, 
        Y => \U1/un2_xaddr[5]\);
    
    \U1/state_ns_i_a2_0_0[7]\ : OA1A
      port map(A => \U1/N_1698_1\, B => \U1/N_1796\, C => 
        \U1/state_ns_i_a2_0_0_2[7]_net_1\, Y => \U1/N_430_i_0\);
    
    \U1/G1_17_P4_raddr[17]\ : DFN1E1C1
      port map(D => \U1/N_1616\, CLK => CLK_c, CLR => RST_c, E
         => \U1/un131_state\, Q => \U1/raddr[17]\);
    
    \U1/P12_xaddr_4_r[9]\ : NOR3A
      port map(A => \U1/N_1538\, B => \U1/N_1626\, C => 
        \U1/addr_ld_0_sqmuxa_0\, Y => \U1/xaddr_4[9]\);
    
    \U1/addr_i_m2_i_m2[2]\ : MX2
      port map(A => \U1/xaddr[2]_net_1\, B => \U1/raddr[2]\, S
         => \U1/state2_0[9]_net_1\, Y => \nvm_addr[2]\);
    
    \U1/un1_inc_I_84\ : XOR2
      port map(A => \U1/N_26\, B => \U1/raddr[14]\, Y => 
        \U1/I_84\);
    
    \U1/P6_waddr_3_I_51\ : NOR3C
      port map(A => \U1/waddr[6]_net_1\, B => \U1/waddr[7]_net_1\, 
        C => \U1/DWACT_ADD_CI_0_pog_array_1_1_0[0]\, Y => 
        \U1/DWACT_ADD_CI_0_pog_array_2[0]\);
    
    \U1/G1_11_P4_un89_state_i_i_a2_1\ : NOR2A
      port map(A => \U1/bit_cnt_0[2]_net_1\, B => 
        \U1/bit_cnt[1]_net_1\, Y => \U1/N_1753_1\);
    
    \U1/P12_xaddr_4_i_m2[7]\ : MX2C
      port map(A => \U1/raddr[7]\, B => \U1/un2_xaddr[7]\, S => 
        \U1/state2[1]_net_1\, Y => \U1/N_1624\);
    
    \U1/un2_xaddr_ADD_19x19_slow_I15_CO1\ : OR3B
      port map(A => \U1/xaddr[14]_net_1\, B => 
        \U1/xaddr[15]_net_1\, C => \U1/N242\, Y => \U1/N250\);
    
    \U1/state_ns_i_a2_i_a2_0_0[5]\ : NOR2A
      port map(A => \U1/state_0[4]_net_1\, B => 
        \U1/cmnd[0]_net_1\, Y => \U1/state_ns_i_a2_i_a2_0[5]\);
    
    \U1/un2_xaddr_ADD_19x19_slow_I11_CO1\ : OR3B
      port map(A => \U1/xaddr[10]_net_1\, B => 
        \U1/xaddr[11]_net_1\, C => \U1/N226\, Y => \U1/N234\);
    
    \U1/P5_rdata_4_1_0[5]\ : AO1C
      port map(A => \U1/N_1784\, B => \nvm_dout[5]\, C => 
        \U1/N_1714\, Y => \U1/rdata_4[5]\);
    
    \U1/G1_4_P4_un40_state_0_0_a2\ : NOR3A
      port map(A => \U1/bit_cnt[0]_net_1\, B => 
        \U1/bit_cnt[2]_net_1\, C => \U1/N_1599\, Y => 
        \U1/un40_state\);
    
    \U1/state_ns_i_a2_i_0_o2_0[4]\ : OR3
      port map(A => \U1/cmnd[3]_net_1\, B => \U1/cmnd[4]_net_1\, 
        C => \U1/cmnd[6]_net_1\, Y => \U1/N_1525\);
    
    \U1/xaddr[8]\ : DFN1E1C1
      port map(D => \U1/xaddr_4[8]\, CLK => clk60M, CLR => RST_c, 
        E => \U1/N_1371_0\, Q => \U1/xaddr[8]_net_1\);
    
    \U1/un1_inc_I_55\ : AND3
      port map(A => \U1/DWACT_FINC_E[4]\, B => \U1/raddr[8]\, C
         => \U1/raddr[9]\, Y => \U1/N_46\);
    
    \U1/P12_xaddr_4_r[1]\ : NOR3A
      port map(A => \U1/N_1538_0\, B => \U1/N_1618\, C => 
        \U1/addr_ld_0_sqmuxa_0\, Y => \U1/xaddr_4[1]\);
    
    \U1/wdata[4]/U0\ : MX2
      port map(A => \U1/wdata[4]\, B => \U1/wdata[3]\, S => 
        \U1/state[2]_net_1\, Y => \U1/wdata[4]/Y\);
    
    \U1/P5_rdata_4_1_0[7]\ : AO1C
      port map(A => \U1/N_1784\, B => \nvm_dout[7]\, C => 
        \U1/N_1718\, Y => \U1/rdata_4[7]\);
    
    \U1/P12_xaddr_4_i_0[18]\ : AOI1
      port map(A => \U1/N_1538_0\, B => \U1/state2_0[1]_net_1\, C
         => \U1/raddr[18]\, Y => \U1/xaddr_4_i_0[18]\);
    
    \U1/state2_ns_i_a2_i_0_a2_7_0[9]\ : XA1C
      port map(A => \U1/waddr[7]_net_1\, B => \U1/wptr[7]_net_1\, 
        C => \U1/waddr[8]_net_1\, Y => 
        \U1/state2_ns_i_a2_i_0_a2_7_0[9]_net_1\);
    
    \U1/state2_ns_i_a2_0_0_o2_0[8]\ : AO1
      port map(A => \U1/state2_ns_i_a2_0_0_a2_5_0[8]_net_1\, B
         => \U1/state2_ns_i_a2_0_0_a2_5_1[8]_net_1\, C => 
        \U1/ssector_net_1\, Y => 
        \U1/state2_ns_i_a2_0_0_o2_0[8]_net_1\);
    
    \U1/P5_rdata_4_2_0_a2_0_0[0]\ : OA1A
      port map(A => nvm_busy, B => \U1/wip_net_1\, C => 
        \U1/cmnd[2]_net_1\, Y => \U1/rdata_4_2_0_a2_0[0]\);
    
    \U1/G1_12_P4_raddr_101_i_m2_i_m2[12]\ : MX2
      port map(A => \U1/I_73\, B => DI_c_1, S => 
        \U1/bit_cnt[1]_net_1\, Y => \U1/N_1658\);
    
    \U1/G1_10_P4_un82_state_i_i\ : AO1B
      port map(A => \U1/N_1806\, B => \U1/state[5]_net_1\, C => 
        \U1/N_1669\, Y => \U1/N_1486\);
    
    \U1/P6_start_3_I_28\ : XOR2
      port map(A => \U1/start[4]_net_1\, B => 
        \U1/DWACT_ADD_CI_0_g_array_2_0[0]\, Y => \U1/start_3[4]\);
    
    \U1/stat[1]\ : DFN1E1P1
      port map(D => \U1/stat[0]_net_1\, CLK => CLK_c, PRE => 
        RST_c, E => \U1/state[1]_net_1\, Q => \U1/stat[1]_net_1\);
    
    \U1/wptr[7]\ : DFN1C1
      port map(D => \U1/wptr_4_i_m2[7]\, CLK => clk60M, CLR => 
        RST_c, Q => \U1/wptr[7]_net_1\);
    
    \U1/state_ns_i_a2_0_0_a2_4_0[7]\ : OR2B
      port map(A => \U1/cmnd[7]_net_1\, B => \U1/cmnd[1]_net_1\, 
        Y => \U1/state_ns_i_a2_0_0_a2_4_0[7]_net_1\);
    
    \U1/xaddr[16]\ : DFN1E1C1
      port map(D => \U1/xaddr_4[16]\, CLK => clk60M, CLR => RST_c, 
        E => \U1/N_1371\, Q => \U1/xaddr[16]_net_1\);
    
    \U1/xaddr[5]\ : DFN1E1C1
      port map(D => \U1/xaddr_4[5]\, CLK => clk60M, CLR => RST_c, 
        E => \U1/N_1371_0\, Q => \U1/xaddr[5]_net_1\);
    
    \U1/state2_0[9]\ : DFN1P1
      port map(D => \U1/state2_ns_i_a2_0_a2_0_a2[0]_net_1\, CLK
         => clk60M, PRE => RST_c, Q => \U1/state2_0[9]_net_1\);
    
    \U1/state2_ns_i_a2_i_0_a2_7_1[9]\ : XA1A
      port map(A => \U1/waddr[6]_net_1\, B => \U1/wptr[6]_net_1\, 
        C => \U1/state2_ns_i_a2_i_0_a2_7_0[9]_net_1\, Y => 
        \U1/state2_ns_i_a2_i_0_a2_7_1[9]_net_1\);
    
    \U1/P5_rdata_4_2_0_0[2]\ : OA1A
      port map(A => \U1/stat[2]_net_1\, B => \U1/N_1803\, C => 
        \U1/N_1708\, Y => \U1/rdata_4_2_0_0[2]\);
    
    \U1/P12_wptr_4_i_m2[2]\ : MX2
      port map(A => \U1/I_32\, B => \U1/start[2]_net_1\, S => 
        \U1/state2_0[8]_net_1\, Y => \U1/wptr_4_i_m2[2]\);
    
    \U1/state2_tr12_i_0_o2_0_1\ : NOR2B
      port map(A => \U1/xaddr[1]_net_1\, B => \U1/xaddr[6]_net_1\, 
        Y => \U1/state2_tr12_i_0_o2_0_1_net_1\);
    
    \U1/P6_start_3_I_1\ : AND2
      port map(A => \U1/start[0]_net_1\, B => \U1/un146_state\, Y
         => \U1/DWACT_ADD_CI_0_TMP[0]\);
    
    \U1/bit_cnt_i[1]\ : INV
      port map(A => \U1/bit_cnt_0[1]_net_1\, Y => 
        \U1/bit_cnt_i[1]_net_1\);
    
    \RST_pad/U0/U1\ : CLKSRC
      port map(A => \RST_pad/U0/NET1\, Y => RST_c);
    
    \U1/G1_2_P4_un26_state_0_0_a2_0\ : NOR3B
      port map(A => \U1/bit_cnt[0]_net_1\, B => 
        \U1/bit_cnt[2]_net_1\, C => \U1/bit_cnt[1]_net_1\, Y => 
        \U1/N_1806\);
    
    \U1/G1_11_P4_un89_state_i_i\ : AO1B
      port map(A => \U1/N_1753_1\, B => \U1/un89_state_i_i_a2_0\, 
        C => \U1/N_1669\, Y => \U1/N_1488\);
    
    \U1/G1_8_P4_un68_state_0_0\ : AO1B
      port map(A => \U1/N_1783_0\, B => \U1/state[5]_net_1\, C
         => \U1/N_1669_0\, Y => \U1/un68_state\);
    
    \U1/P12_xaddr_4_i_0[16]\ : AOI1
      port map(A => \U1/N_1538_0\, B => \U1/state2_0[1]_net_1\, C
         => \U1/raddr[16]\, Y => \U1/xaddr_4_i_0[16]\);
    
    \U1/G1_16_P4_raddr_133_i_m2_i_m2[16]\ : MX2
      port map(A => \U1/I_98\, B => DI_c_1, S => 
        \U1/bit_cnt[1]_net_1\, Y => \U1/N_1660\);
    
    \U1/G1_11_P4_raddr[11]\ : DFN1E1C1
      port map(D => \U1/N_1613\, CLK => CLK_c, CLR => RST_c, E
         => \U1/N_1488\, Q => \U1/raddr[11]\);
    
    \U1/G1_16_P4_raddr[16]\ : DFN1E1C1
      port map(D => \U1/N_1660\, CLK => CLK_c, CLR => RST_c, E
         => \U1/un124_state\, Q => \U1/raddr[16]\);
    
    \U1/state2_tr12_i_0_a2_0_0\ : NOR2
      port map(A => \U1/xaddr[18]_net_1\, B => 
        \U1/xaddr[16]_net_1\, Y => 
        \U1/state2_tr12_i_0_a2_0_0_net_1\);
    
    \U1/state2_ns_i_a2_i_0_a2_0[9]\ : OR3B
      port map(A => \U1/N_1927_tz\, B => \U1/state2[5]_net_1\, C
         => \U1/N_1572\, Y => \U1/N_1738\);
    
    \U1/un2_iena_0_a2_0\ : OR2A
      port map(A => \U1/cmnd[1]_net_1\, B => \U1/cmnd[5]_net_1\, 
        Y => \U1/N_1771\);
    
    \U1/bit_cnt_i[2]\ : INV
      port map(A => \U1/bit_cnt_0[2]_net_1\, Y => 
        \U1/bit_cnt_i[2]_net_1\);
    
    \U1/state2_ns_i_a2_0_0_a2_2[8]\ : OR3C
      port map(A => \U1/state2_ns_i_a2_0_0_a2_2_6[8]_net_1\, B
         => \U1/state2_ns_i_a2_0_0_a2_2_5[8]_net_1\, C => 
        \U1/state2_ns_i_a2_0_0_o2_0[8]_net_1\, Y => \U1/N_1801\);
    
    AFLSDF_INV_2 : INV
      port map(A => RST_c, Y => \AFLSDF_INV_2\);
    
    \U1/P12_xaddr_4_r[18]\ : NOR3
      port map(A => \U1/N_1726\, B => \U1/xaddr_4_i_0[18]\, C => 
        \U1/addr_ld_0_sqmuxa\, Y => \U1/xaddr_4[18]\);
    
    \U1/iwebit_1_0_o2\ : OR2A
      port map(A => \U1/un2_idis_0_o2_net_1\, B => 
        \U1/wdis_dly_net_1\, Y => \U1/N_1592\);
    
    \U2/bpgm\ : NOR2B
      port map(A => nvm_pgm, B => \nvm_addr_0[18]\, Y => 
        \U2/bpgm_net_1\);
    
    \U1/cmnd[4]\ : DFN1E1C1
      port map(D => \U1/cmnd[3]_net_1\, CLK => CLK_c, CLR => 
        RST_c, E => \U1/state[7]_net_1\, Q => \U1/cmnd[4]_net_1\);
    
    \U1/xaddr[15]\ : DFN1E1C1
      port map(D => \U1/xaddr_4[15]\, CLK => clk60M, CLR => RST_c, 
        E => \U1/N_1371\, Q => \U1/xaddr[15]_net_1\);
    
    \U1/state2_ns_i_a2_i_0_0[9]\ : AOI1B
      port map(A => nvm_busy, B => 
        \U1/state2_ns_i_a2_i_0_a2_0[9]_net_1\, C => \U1/N_1739\, 
        Y => \U1/state2_ns_i_a2_i_0_0[9]_net_1\);
    
    \U1/state2_ns_i_a2_i_0_a2_7_6[9]\ : NOR3C
      port map(A => \U1/un3_finished_4_i_0\, B => 
        \U1/un3_finished_5_i_0\, C => 
        \U1/state2_ns_i_a2_i_0_a2_7_1[9]_net_1\, Y => 
        \U1/state2_ns_i_a2_i_0_a2_7_6[9]_net_1\);
    
    \U1/P12_xaddr_4_r[3]\ : NOR3A
      port map(A => \U1/N_1538_0\, B => \U1/N_1620\, C => 
        \U1/addr_ld_0_sqmuxa_0\, Y => \U1/xaddr_4[3]\);
    
    \U1/un1_inc_I_24\ : XOR2
      port map(A => \U1/N_69\, B => \U1/raddr[5]\, Y => \U1/I_24\);
    
    \U1/addr_i_m2_i_m2[13]\ : MX2
      port map(A => \U1/xaddr[13]_net_1\, B => \U1/raddr[13]\, S
         => \U1/state2[9]_net_1\, Y => \nvm_addr[13]\);
    
    \U1/un2_xaddr_ADD_19x19_slow_I4_S\ : AX1
      port map(A => \U1/I2_un1_CO1_0\, B => \U1/xaddr[3]_net_1\, 
        C => \U1/xaddr[4]_net_1\, Y => \U1/un2_xaddr[4]\);
    
    \U1/start[4]\ : DFN1C1
      port map(D => \U1/start_3[4]\, CLK => CLK_c, CLR => 
        \U1/N_1471_0\, Q => \U1/start[4]_net_1\);
    
    \U1/wptr[0]\ : DFN1C1
      port map(D => \U1/wptr_4_i_m2[0]\, CLK => clk60M, CLR => 
        RST_c, Q => \U1/wptr[0]_net_1\);
    
    \U1/un1_inc_I_37\ : AND3
      port map(A => \U1/DWACT_FINC_E[0]\, B => 
        \U1/DWACT_FINC_E[2]\, C => \U1/raddr[6]\, Y => \U1/N_59\);
    
    \U1/un5_ebulk_0_a2_0_a2_1\ : OR2
      port map(A => \U1/stat[3]_net_1\, B => \U1/stat[2]_net_1\, 
        Y => \U1/N_1742_1\);
    
    \U1/P12_xaddr_4_r[7]\ : NOR3A
      port map(A => \U1/N_1538_0\, B => \U1/N_1624\, C => 
        \U1/addr_ld_0_sqmuxa_0\, Y => \U1/xaddr_4[7]\);
    
    \U1/state2_ns_i_a2_i_0_a2_3[9]\ : OR2A
      port map(A => \U1/state2[6]_net_1\, B => \U1/swrite_net_1\, 
        Y => \U1/N_1778\);
    
    \U1/state2[6]\ : DFN1C1
      port map(D => \U1/state2_ns_i_a2_i_0[3]_net_1\, CLK => 
        clk60M, CLR => RST_c, Q => \U1/state2[6]_net_1\);
    
    \U1/xaddr[12]\ : DFN1E1C1
      port map(D => \U1/xaddr_4[12]\, CLK => clk60M, CLR => RST_c, 
        E => \U1/N_1371\, Q => \U1/xaddr[12]_net_1\);
    
    \U1/state2_ns_i_a2_i_0_a2_4[9]\ : NOR3C
      port map(A => \U1/state2_ns_i_a2_i_0_a2_7_5[9]_net_1\, B
         => \U1/state2_ns_i_a2_i_0_a2_7_6[9]_net_1\, C => 
        \U1/state2[6]_net_1\, Y => \U1/N_1804\);
    
    \U1/addr_i_m2_i_m2[12]\ : MX2
      port map(A => \U1/xaddr[12]_net_1\, B => \U1/raddr[12]\, S
         => \U1/state2[9]_net_1\, Y => \nvm_addr[12]\);
    
    \U1/un1_wptr_I_34\ : AX1C
      port map(A => \U1/DWACT_ADD_CI_0_g_array_11_1[0]\, B => 
        \U1/wptr[6]_net_1\, C => \U1/wptr[7]_net_1\, Y => 
        \U1/I_34\);
    
    \U1/un2_xaddr_ADD_19x19_slow_I16_un1_CO1\ : NOR2A
      port map(A => \U1/xaddr[16]_net_1\, B => \U1/N250\, Y => 
        \U1/I16_un1_CO1\);
    
    \U1/un1_inc_I_41\ : AND2
      port map(A => \U1/raddr[6]\, B => \U1/raddr[7]\, Y => 
        \U1/DWACT_FINC_E[3]\);
    
    \U1/state_ns_i_a2_0_0_a2_5[7]\ : OR3
      port map(A => \U1/N_1523\, B => \U1/cmnd[7]_net_1\, C => 
        \U1/N_1798\, Y => \U1/N_1768\);
    
    \U1/G1_13_P4_raddr[13]\ : DFN1E1C1
      port map(D => \U1/N_1614\, CLK => CLK_c, CLR => RST_c, E
         => \U1/un103_state\, Q => \U1/raddr[13]\);
    
    \U1/P6_start_3_I_35\ : NOR2B
      port map(A => \U1/DWACT_ADD_CI_0_TMP[0]\, B => 
        \U1/start[1]_net_1\, Y => 
        \U1/DWACT_ADD_CI_0_g_array_1_0[0]\);
    
    \U1/state_ns_i_a2_0_0_a2_6[7]\ : NOR2
      port map(A => \U1/state[1]_net_1\, B => \U1/state[0]_net_1\, 
        Y => \U1/N_1781\);
    
    \U1/G1_12_P4_raddr[12]\ : DFN1E1C1
      port map(D => \U1/N_1658\, CLK => CLK_c, CLR => RST_c, E
         => \U1/un96_state\, Q => \U1/raddr[12]\);
    
    \U1/P6_waddr_3_I_38\ : XOR2
      port map(A => \U1/waddr[6]_net_1\, B => 
        \U1/DWACT_ADD_CI_0_g_array_11_0[0]\, Y => \U1/waddr_3[6]\);
    
    \U1/un2_iena_0_o2\ : OR2A
      port map(A => \U1/N_1546\, B => \U1/N_1525\, Y => 
        \U1/N_1557\);
    
    AFLSDF_INV_0 : INV
      port map(A => RST_c, Y => \AFLSDF_INV_0\);
    
    \U1/G1_2_P4_raddr[2]\ : DFN1E1C1
      port map(D => \U1/N_1654\, CLK => CLK_c, CLR => RST_c, E
         => \U1/un26_state\, Q => \U1/raddr[2]\);
    
    \U1/un2_idis_0_o2\ : NOR2
      port map(A => \U1/N_1557\, B => \U1/N_1528\, Y => 
        \U1/un2_idis_0_o2_net_1\);
    
    \U1/state2_ns_i_a2_0_0[8]\ : NOR3C
      port map(A => \U1/state2_ns_i_a2_0_0_1[8]_net_1\, B => 
        \U1/N_1801\, C => nvm_busy, Y => \U1/N_465_i_0\);
    
    \U1/state[1]\ : DFN1E1C1
      port map(D => \U1/state_ns[6]\, CLK => CLK_c, CLR => CSn_c, 
        E => \U1/N_1783\, Q => \U1/state[1]_net_1\);
    
    \U1/state_tr0_3_a2_1_0\ : NOR2B
      port map(A => \U1/cmnd[6]_net_1\, B => \U1/cmnd[2]_net_1\, 
        Y => \U1/state_tr0_3_a2_1_0_net_1\);
    
    \U1/state_tr8_0_a2_0_a2\ : NOR3
      port map(A => \U1/N_1525\, B => \U1/cmnd[2]_net_1\, C => 
        \U1/state_tr8_0_a2_0_a2_1_net_1\, Y => \U1/state_ns[6]\);
    
    \U1/P6_waddr_3_I_42\ : NOR2B
      port map(A => \U1/DWACT_ADD_CI_0_g_array_2[0]\, B => 
        \U1/DWACT_ADD_CI_0_pog_array_1_1_0[0]\, Y => 
        \U1/DWACT_ADD_CI_0_g_array_11_0[0]\);
    
    \CSn_pad/U0/U1_CLKSRC\ : CLKSRC
      port map(A => CSn_c_CLKSRC_DRIVER, Y => CSn_c);
    
    \U1/un1_inc_I_5\ : XOR2
      port map(A => \U1/raddr[0]\, B => \U1/raddr[1]\, Y => 
        \U1/I_5\);
    
    \U1/G1_6_P4_un54_state_0_a2_0_a2\ : OA1B
      port map(A => \U1/state[3]_net_1\, B => 
        \U1/state_0[4]_net_1\, C => \U1/N_1922\, Y => 
        \U1/un54_state\);
    
    \U1/G1_11_P4_raddr_93_i_m2[11]\ : MX2
      port map(A => DI_c, B => \U1/I_66\, S => 
        \U1/bit_cnt[0]_net_1\, Y => \U1/N_1613\);
    
    \U1/wptr[1]\ : DFN1C1
      port map(D => \U1/wptr_4_i_m2[1]\, CLK => clk60M, CLR => 
        RST_c, Q => \U1/wptr[1]_net_1\);
    
    \U1/P12_xaddr_4_i_m2[12]\ : MX2C
      port map(A => \U1/raddr[12]\, B => \U1/un2_xaddr[12]\, S
         => \U1/state2[1]_net_1\, Y => \U1/N_1629\);
    
    \U1/P12_xaddr_4_r[8]\ : NOR3A
      port map(A => \U1/N_1538\, B => \U1/N_1625\, C => 
        \U1/addr_ld_0_sqmuxa_0\, Y => \U1/xaddr_4[8]\);
    
    \U1/wdata[0]/U0\ : MX2
      port map(A => \U1/wdata[0]\, B => DI_c, S => 
        \U1/state[2]_net_1\, Y => \U1/wdata[0]/Y\);
    
    \U1/state2_ns_i_a2_i_0[9]\ : OR3C
      port map(A => \U1/N_1740\, B => 
        \U1/state2_ns_i_a2_i_0_0[9]_net_1\, C => \U1/N_1738\, Y
         => \U1/state2_ns_i_a2_i_0[9]_net_1\);
    
    \U1/un1_inc_I_30\ : AND3
      port map(A => \U1/DWACT_FINC_E[0]\, B => 
        \U1/DWACT_FINC_E[1]\, C => \U1/raddr[5]\, Y => \U1/N_64\);
    
    \U1/G1_8_P4_raddr[8]\ : DFN1E1C1
      port map(D => \U1/N_1656\, CLK => CLK_c, CLR => RST_c, E
         => \U1/un68_state\, Q => \U1/raddr[8]\);
    
    \U1/wdata[3]/U0\ : MX2
      port map(A => \U1/wdata[3]\, B => \U1/wdata[2]\, S => 
        \U1/state[2]_net_1\, Y => \U1/wdata[3]/Y\);
    
    \U1/un2_xaddr_ADD_19x19_slow_I1_S\ : XNOR2
      port map(A => \U1/xaddr[1]_net_1\, B => \U1/I0_un1_CO1_0\, 
        Y => \U1/un2_xaddr[1]\);
    
    \U1/G1_6_P4_raddr_53_i_m2_i_m2[6]\ : MX2
      port map(A => \U1/I_31\, B => DI_c_1, S => 
        \U1/state[4]_net_1\, Y => \U1/N_1652\);
    
    \U1/un1_inc_I_66\ : XOR2
      port map(A => \U1/N_39\, B => \U1/raddr[11]\, Y => 
        \U1/I_66\);
    
    \U1/P12_xaddr_4_r[2]\ : NOR3A
      port map(A => \U1/N_1538_0\, B => \U1/N_1619\, C => 
        \U1/addr_ld_0_sqmuxa_0\, Y => \U1/xaddr_4[2]\);
    
    \U1/un1_inc_I_94\ : AND2
      port map(A => \U1/DWACT_FINC_E[7]\, B => 
        \U1/DWACT_FINC_E[9]\, Y => \U1/DWACT_FINC_E[10]\);
    
    \U1/state_0[7]\ : DFN1P1
      port map(D => \U1/statese_i_0_net_1\, CLK => CLK_c, PRE => 
        CSn_c, Q => \U1/state_0[7]_net_1\);
    
    \U1/last[0]\ : DFN1C1
      port map(D => \U1/bit_cnt[0]_net_1\, CLK => CSn_c, CLR => 
        RST_c, Q => \U1/last[0]_net_1\);
    
    \U1/addr_ld_0_sqmuxa_0_a2_0\ : NOR2
      port map(A => \U1/addr_ld_0_sqmuxa_0_a2_0_1_net_1\, B => 
        \U1/N_1529\, Y => \U1/N_1924\);
    
    \U1/state[7]\ : DFN1P1
      port map(D => \U1/statese_i_0_net_1\, CLK => CLK_c, PRE => 
        CSn_c, Q => \U1/state[7]_net_1\);
    
    \U1/P6_start_3_I_27\ : XOR2
      port map(A => \U1/start[6]_net_1\, B => 
        \U1/DWACT_ADD_CI_0_g_array_11[0]\, Y => \U1/start_3[6]\);
    
    \U1/waddr[7]\ : DFN1C1
      port map(D => \U1/waddr_3[7]\, CLK => CLK_c, CLR => 
        \U1/un21_rstn_i_a2_i\, Q => \U1/waddr[7]_net_1\);
    
    \U1/P12_xaddr_4_r[16]\ : NOR3
      port map(A => \U1/N_1720\, B => \U1/xaddr_4_i_0[16]\, C => 
        \U1/addr_ld_0_sqmuxa\, Y => \U1/xaddr_4[16]\);
    
    \U1/nxt3_0_a2_1_a2_1_a2\ : NOR2B
      port map(A => \U1/N_1774\, B => \U1/N_1773\, Y => nvm_read);
    
    \U1/addr_i_m2_i_m2[5]\ : MX2
      port map(A => \U1/xaddr[5]_net_1\, B => \U1/raddr[5]\, S
         => \U1/state2_0[9]_net_1\, Y => \nvm_addr[5]\);
    
    \U1/G1_9_P4_un75_state_0_0\ : AO1B
      port map(A => \U1/N_1805\, B => \U1/state[5]_net_1\, C => 
        \U1/N_1669_0\, Y => \U1/un75_state\);
    
    \U1/state_tr0_3_a2_3_1_0\ : OR3B
      port map(A => DI_c_0, B => \U1/cmnd[4]_net_1\, C => 
        \U1/cmnd[3]_net_1\, Y => \U1/state_tr0_3_a2_3_1_net_1\);
    
    \U1/start[1]\ : DFN1C1
      port map(D => \U1/start_3[1]\, CLK => CLK_c, CLR => 
        \U1/N_1471_0\, Q => \U1/start[1]_net_1\);
    
    \U1/state2_tr12_i_0_a2_0_2\ : NOR2
      port map(A => \U1/xaddr[10]_net_1\, B => 
        \U1/xaddr[8]_net_1\, Y => 
        \U1/state2_tr12_i_0_a2_0_2_net_1\);
    
    \U1/G1_3_P4_un33_state_0_0\ : AO1B
      port map(A => \U1/N_1753_1\, B => \U1/un33_state_0_0_a2_0\, 
        C => \U1/N_1669_0\, Y => \U1/un33_state\);
    
    \U1/un2_xaddr_ADD_19x19_slow_I3_S\ : XNOR2
      port map(A => \U1/xaddr[3]_net_1\, B => \U1/I2_un1_CO1_0\, 
        Y => \U1/un2_xaddr[3]\);
    
    \U1/G1_0_P4_un12_state_0_0_a2_0_0\ : OR2A
      port map(A => \U1/state[3]_net_1\, B => \U1/N_1922\, Y => 
        \U1/N_1669_0\);
    
    \U1/P12_xaddr_4_i_m2[4]\ : MX2C
      port map(A => \U1/raddr[4]\, B => \U1/un2_xaddr[4]\, S => 
        \U1/state2_0[1]_net_1\, Y => \U1/N_1621\);
    
    \U1/state_tr0_3_a2_3_1\ : OR2A
      port map(A => \U1/cmnd[0]_net_1\, B => \U1/N_1523\, Y => 
        \U1/N_1770_1\);
    
    \U1/G1_7_P4_un61_state_0_0\ : AO1C
      port map(A => \U1/N_1522\, B => \U1/state[4]_net_1\, C => 
        \U1/N_1669_0\, Y => \U1/un61_state\);
    
    \DO_pad/U0/U1\ : IOTRI_OB_EB
      port map(D => \U1.rdata[7]\, E => un5_do_0_a2_2_a2, DOUT
         => \DO_pad/U0/NET1\, EOUT => \DO_pad/U0/NET2\);
    
    \U1/un1_inc_I_48\ : AND3
      port map(A => \U1/DWACT_FINC_E[0]\, B => 
        \U1/DWACT_FINC_E[2]\, C => \U1/DWACT_FINC_E[3]\, Y => 
        \U1/DWACT_FINC_E[4]\);
    
    \U1/state2[9]\ : DFN1P1
      port map(D => \U1/state2_ns_i_a2_0_a2_0_a2[0]_net_1\, CLK
         => clk60M, PRE => RST_c, Q => \U1/state2[9]_net_1\);
    
    \U1/state2_tr12_i_0_a2_0_12\ : NOR3A
      port map(A => \U1/state2_tr12_i_0_a2_0_7_net_1\, B => 
        \U1/xaddr[2]_net_1\, C => \U1/xaddr[4]_net_1\, Y => 
        \U1/state2_tr12_i_0_a2_0_12_net_1\);
    
    \U1/state2[0]\ : DFN1C1
      port map(D => \U1/state2_ns_i_a2_i_0[9]_net_1\, CLK => 
        clk60M, CLR => RST_c, Q => \U1/state2[0]_net_1\);
    
    \U1/un3_finished_5\ : XNOR2
      port map(A => \U1/wptr[5]_net_1\, B => \U1/waddr[5]_net_1\, 
        Y => \U1/un3_finished_5_i_0\);
    
    \U1/rdata[6]\ : DFN0C1
      port map(D => \U1/rdata_4[6]\, CLK => CLK_c, CLR => CSn_c, 
        Q => \U1/rdata[6]_net_1\);
    
    \U1/rdata[4]\ : DFN0C1
      port map(D => \U1/rdata_4_i_0[4]\, CLK => CLK_c, CLR => 
        CSn_c, Q => \U1/rdata[4]_net_1\);
    
    \U1/un1_end_adr_ADD_19x19_slow_I1_CO1\ : MAJ3
      port map(A => \U1/raddr[1]\, B => \U1/I0_un1_CO1\, C => 
        \U1/waddr[1]_net_1\, Y => \U1/N211\);
    
    \U1/un5_esector_i_0_0\ : AOI1B
      port map(A => \U1/raddr[18]\, B => \U1/N_1526_i_0\, C => 
        \U1/N_1731\, Y => \U1/un5_esector_i_0_0_net_1\);
    
    \U1/un5_esector_i_0_o2_0_0\ : NOR2A
      port map(A => \U1/cmnd[4]_net_1\, B => \U1/N_1530\, Y => 
        \U1/un5_esector_i_0_o2_0_net_1\);
    
    \U1/bit_cnt_0[2]\ : DFN1C1
      port map(D => \U1/SUM2\, CLK => CLK_c, CLR => CSn_c, Q => 
        \U1/bit_cnt_0[2]_net_1\);
    
    \U1/bit_cnt[2]\ : DFN1C1
      port map(D => \U1/SUM2\, CLK => CLK_c, CLR => CSn_c, Q => 
        \U1/bit_cnt[2]_net_1\);
    
    \U1/state2_ns_i_a2_0_a2_0_a2[0]\ : AO1A
      port map(A => \U1/wip_net_1\, B => \U1/state2_0[9]_net_1\, 
        C => \U1/state2[0]_net_1\, Y => 
        \U1/state2_ns_i_a2_0_a2_0_a2[0]_net_1\);
    
    \U1/last[4]\ : DFN1C1
      port map(D => \U1/un10_i_a2_0_a2_1_a2[1]_net_1\, CLK => 
        CSn_c, CLR => RST_c, Q => \U1/last[4]_net_1\);
    
    \U1/wdata[0]/U1\ : DFN1C1
      port map(D => \U1/wdata[0]/Y\, CLK => CLK_c, CLR => 
        \U1/N_1471_0\, Q => \U1/wdata[0]\);
    
    \U1/state_tr0_3_a2_1\ : AO1B
      port map(A => \U1/N_1769_i\, B => \U1/N_1770\, C => 
        \U1/state_tr0_3_a2_1_0_net_1\, Y => \U1/N_1777\);
    
    \U1/G1_9_P4_raddr_77_i_m2[9]\ : MX2
      port map(A => DI_c_0, B => \U1/I_52\, S => 
        \U1/bit_cnt_0[0]_net_1\, Y => \U1/N_1612\);
    
    \U1/state2_tr12_i_0_a2_0_5\ : NOR2
      port map(A => \U1/xaddr[17]_net_1\, B => 
        \U1/xaddr[15]_net_1\, Y => 
        \U1/state2_tr12_i_0_a2_0_5_net_1\);
    
    \U1/P12_xaddr_4_i_a2[18]\ : XA1B
      port map(A => \U1/N258\, B => \U1/xaddr[18]_net_1\, C => 
        \U1/N_1926\, Y => \U1/N_1726\);
    
    \U1/cmnd[3]\ : DFN1E1C1
      port map(D => \U1/cmnd[2]_net_1\, CLK => CLK_c, CLR => 
        RST_c, E => \U1/state[7]_net_1\, Q => \U1/cmnd[3]_net_1\);
    
    \U1/ssector\ : DFN1C1
      port map(D => \U1/ssector_1\, CLK => clk60M, CLR => RST_c, 
        Q => \U1/ssector_net_1\);
    
    \U1/state2_tr12_i_0_o2_0\ : NOR3C
      port map(A => \U1/state2_tr12_i_0_o2_0_1_net_1\, B => 
        \U1/state2_tr12_i_0_o2_0_2_net_1\, C => 
        \U1/state2_tr12_i_0_o2_0_3_net_1\, Y => \U1/N_1588_i_0\);
    
    \U1/P9_ssector_1_0_0_a2_1_0\ : OR3
      port map(A => \U1/N_1589\, B => \U1/dly_sector_net_1\, C
         => \U1/N_1534\, Y => \U1/ssector_1_0_0_a2_1\);
    
    \U2/nvm_dout[5]\ : MX2
      port map(A => \U2/adata[5]\, B => \U2/bdata[5]\, S => 
        \nvm_addr[18]\, Y => \nvm_dout[5]\);
    
    \U1/xaddr[4]\ : DFN1E1C1
      port map(D => \U1/xaddr_4[4]\, CLK => clk60M, CLR => RST_c, 
        E => \U1/N_1371_0\, Q => \U1/xaddr[4]_net_1\);
    
    \U1/P6_waddr_3_I_21\ : XOR2
      port map(A => \U1/waddr[0]_net_1\, B => 
        \U1/un2_buf_we_0_a2_0_a2_net_1\, Y => 
        \U1/DWACT_ADD_CI_0_partial_sum_1[0]\);
    
    \U1/stat[3]\ : DFN1E1P1
      port map(D => \U1/stat[2]_net_1\, CLK => CLK_c, PRE => 
        RST_c, E => \U1/state[1]_net_1\, Q => \U1/stat[3]_net_1\);
    
    AFLSDF_INV_1 : INV
      port map(A => RST_c, Y => \AFLSDF_INV_1\);
    
    \U1/un1_inc_I_87\ : AND3
      port map(A => \U1/raddr[12]\, B => \U1/raddr[13]\, C => 
        \U1/raddr[14]\, Y => \U1/DWACT_FINC_E[9]\);
    
    \U1/G1_13_P4_un103_state_0_0\ : AO1B
      port map(A => \U1/N_1680_1\, B => \U1/state[5]_net_1\, C
         => \U1/N_1669\, Y => \U1/un103_state\);
    
    \U1/un1_inc_I_77\ : XOR2
      port map(A => \U1/N_31\, B => \U1/raddr[13]\, Y => 
        \U1/I_77\);
    
    \U1/P5_rdata_4_1_0_a2[6]\ : OR2B
      port map(A => \U1/rdata[5]_net_1\, B => \U1/N_1522\, Y => 
        \U1/N_1716\);
    
    \U1/rdata[2]\ : DFN0C1
      port map(D => \U1/rdata_4[2]\, CLK => CLK_c, CLR => CSn_c, 
        Q => \U1/rdata[2]_net_1\);
    
    \U1/state2_ns_i_a2_i_0_a2_7_5[9]\ : NOR3C
      port map(A => \U1/un3_finished_0_i_0\, B => 
        \U1/un3_finished_1_i_0\, C => 
        \U1/state2_ns_i_a2_i_0_a2_7_3[9]_net_1\, Y => 
        \U1/state2_ns_i_a2_i_0_a2_7_5[9]_net_1\);
    
    \U1/rdata[0]\ : DFN0C1
      port map(D => \U1/rdata_4[0]\, CLK => CLK_c, CLR => CSn_c, 
        Q => \U1/rdata[0]_net_1\);
    
    \U1/sbulk\ : DFN1C1
      port map(D => \U1/sbulk_1\, CLK => clk60M, CLR => RST_c, Q
         => \U1/sbulk_net_1\);
    
    \U1/G1_18_P4_un138_state_0_0\ : AO1B
      port map(A => \U1/N_1806\, B => \U1/state[6]_net_1\, C => 
        \U1/N_1669\, Y => \U1/un138_state\);
    
    \U1/wip\ : DFN1C1
      port map(D => \U1/wip_1\, CLK => clk60M, CLR => RST_c, Q
         => \U1/wip_net_1\);
    
    \U1/un1_end_adr_ADD_19x19_slow_I18_Y\ : AX1C
      port map(A => \U1/raddr[17]\, B => \U1/I16_un1_CO1_0\, C
         => \U1/raddr[18]\, Y => \U1/un1_end_adr[18]\);
    
    \U1/P5_rdata_4_2_0_a2_3[2]\ : OR3B
      port map(A => \U1/N_1773\, B => \U1/N_1546\, C => 
        \U1/N_1523\, Y => \U1/N_1803\);
    
    \U1/un5_esector_i_0_o2_4\ : NOR2B
      port map(A => \U1/stat[3]_net_1\, B => \U1/stat[2]_net_1\, 
        Y => \U1/N_1526_i_0\);
    
    \U1/state2_tr12_i_0_a2\ : NOR3
      port map(A => \U1/N_1765\, B => \U1/N_1588_i_0\, C => 
        \U1/N_1804\, Y => \U1/N_1729\);
    
    \U1/un10_i_a2_0_a2_0_a2[2]\ : OR3
      port map(A => \U1/state[2]_net_1\, B => 
        \U1/un10_i_a2_0_a2_0_a2_0[2]_net_1\, C => 
        \U1/state[0]_net_1\, Y => 
        \U1/un10_i_a2_0_a2_0_a2[2]_net_1\);
    
    \U1/un2_xaddr_ADD_19x19_slow_I11_S\ : AX1
      port map(A => \U1/N226\, B => \U1/xaddr[10]_net_1\, C => 
        \U1/xaddr[11]_net_1\, Y => \U1/un2_xaddr[11]\);
    
    \U1/bit_cnt_0[1]\ : DFN1C1
      port map(D => \U1/SUM1\, CLK => CLK_c, CLR => CSn_c, Q => 
        \U1/bit_cnt_0[1]_net_1\);
    
    \U1/un5_esector_i_0_o2_0\ : OR3B
      port map(A => CSn_c, B => \U1/webit_net_1\, C => 
        \U1/stat[4]_net_1\, Y => \U1/N_1662\);
    
    \U1/state_ns_i_a2_0_0_a2_3_1[7]\ : OR3
      port map(A => \U1/N_1799\, B => \U1/cmnd[5]_net_1\, C => 
        \U1/N_1796\, Y => \U1/state_ns_i_a2_0_0_a2_3_1[7]_net_1\);
    
    \U1/state2_tr12_i_0_o2_0_3\ : NOR3C
      port map(A => \U1/xaddr[3]_net_1\, B => \U1/xaddr[5]_net_1\, 
        C => \U1/xaddr[0]_net_1\, Y => 
        \U1/state2_tr12_i_0_o2_0_3_net_1\);
    
    \U1/swrite\ : DFN1C1
      port map(D => \U1/swrite_1\, CLK => clk60M, CLR => RST_c, Q
         => \U1/swrite_net_1\);
    
    \U2/awe\ : NOR2A
      port map(A => nvm_we, B => \nvm_addr_0[18]\, Y => 
        \U2/awe_net_1\);
    
    \U1/P5_rdata_4_i_0[1]\ : OA1B
      port map(A => \U1/N_1784\, B => \nvm_dout[1]\, C => 
        \U1/rdata_4_i_0_0[1]\, Y => \U1/rdata_4_i_0[1]\);
    
    \U1/state_ns_i_a2_i[5]\ : AO1
      port map(A => \U1/N_1697_1\, B => 
        \U1/state_ns_i_a2_i_a2_0[5]\, C => \U1/state[2]_net_1\, Y
         => \U1/N_1374\);
    
    \U1/addr_i_m2_i_m2[11]\ : MX2
      port map(A => \U1/xaddr[11]_net_1\, B => \U1/raddr[11]\, S
         => \U1/state2[9]_net_1\, Y => \nvm_addr[11]\);
    
    \U1/un1_wptr_I_35\ : NOR2B
      port map(A => \U1/DWACT_ADD_CI_0_TMP_1[0]\, B => 
        \U1/wptr[1]_net_1\, Y => 
        \U1/DWACT_ADD_CI_0_g_array_1_1[0]\);
    
    \U1/last[2]\ : DFN1P1
      port map(D => \U1/bit_cnt_i[2]_net_1\, CLK => CSn_c, PRE
         => RST_c, Q => \U1/last_i_0[2]\);
    
    \CSn_pad/U0/U1\ : IOIN_IB
      port map(YIN => \CSn_pad/U0/NET1\, Y => CSn_c_CLKSRC_DRIVER);
    
    \U1/un3_finished_0\ : XNOR2
      port map(A => \U1/wptr[0]_net_1\, B => \U1/waddr[0]_net_1\, 
        Y => \U1/un3_finished_0_i_0\);
    
    \U1/un2_xaddr_ADD_19x19_slow_I6_un1_CO1\ : OR3B
      port map(A => \U1/xaddr[5]_net_1\, B => \U1/xaddr[6]_net_1\, 
        C => \U1/I4_un1_CO1_0\, Y => \U1/I6_un1_CO1\);
    
    \U1/state2_0[1]\ : DFN1C1
      port map(D => \U1/N_465_i_0\, CLK => clk60M, CLR => RST_c, 
        Q => \U1/state2_0[1]_net_1\);
    
    \U1/P12_xaddr_4_i_0[17]\ : AOI1
      port map(A => \U1/N_1538_0\, B => \U1/state2_0[1]_net_1\, C
         => \U1/raddr[17]\, Y => \U1/xaddr_4_i_0[17]\);
    
    \U1/P12_xaddr_4_i_m2[0]\ : MX2C
      port map(A => \U1/raddr[0]\, B => \U1/un2_xaddr[0]\, S => 
        \U1/state2_0[1]_net_1\, Y => \U1/N_1617\);
    
    \U1/un1_end_adr_ADD_19x19_slow_I16_un1_CO1\ : NOR3C
      port map(A => \U1/raddr[9]\, B => 
        \U1/ADD_19x19_slow_I15_CO1_5\, C => \U1/raddr[16]\, Y => 
        \U1/I16_un1_CO1_0\);
    
    \U1/P6_waddr_3_I_35\ : XOR2
      port map(A => \U1/waddr[2]_net_1\, B => 
        \U1/DWACT_ADD_CI_0_g_array_1[0]\, Y => \U1/waddr_3[2]\);
    
    \U1/P12_xaddr_4_i_m2[13]\ : MX2C
      port map(A => \U1/raddr[13]\, B => \U1/un2_xaddr[13]\, S
         => \U1/state2[1]_net_1\, Y => \U1/N_1630\);
    
    \C1/RCOSC1\ : RCOSC
      port map(CLKOUT => clk100M);
    
    \U1/un1_inc_I_80\ : AND2
      port map(A => \U1/raddr[12]\, B => \U1/raddr[13]\, Y => 
        \U1/DWACT_FINC_E[8]\);
    
    \U1/P5_rdata_4_i_0_a2[1]\ : NOR2A
      port map(A => \U1/N_1522\, B => \U1/rdata[0]_net_1\, Y => 
        \U1/N_1745\);
    
    \U1/G1_10_P4_raddr_85_i_m2_i_m2[10]\ : MX2
      port map(A => \U1/I_56\, B => DI_c_1, S => 
        \U1/bit_cnt_0[2]_net_1\, Y => \U1/N_1657\);
    
    \U1/un2_xaddr_ADD_19x19_slow_I7_S\ : XNOR3
      port map(A => \U1/N_1552\, B => \U1/xaddr[7]_net_1\, C => 
        \U1/I6_un1_CO1\, Y => \U1/un2_xaddr[7]\);
    
    \U1/un1_wptr_I_27\ : XOR2
      port map(A => \U1/wptr[6]_net_1\, B => 
        \U1/DWACT_ADD_CI_0_g_array_11_1[0]\, Y => \U1/I_27\);
    
    \U1/un1_end_adr_ADD_19x19_slow_I6_un1_CO1\ : MAJ3
      port map(A => \U1/raddr[6]\, B => \U1/N219\, C => 
        \U1/waddr[6]_net_1\, Y => \U1/I6_un1_CO1_0\);
    
    \U1/stat[0]\ : DFN1E1P1
      port map(D => DI_c, CLK => CLK_c, PRE => RST_c, E => 
        \U1/state[1]_net_1\, Q => \U1/stat[0]_net_1\);
    
    \U1/rdata[7]\ : DFN0C1
      port map(D => \U1/rdata_4[7]\, CLK => CLK_c, CLR => CSn_c, 
        Q => \U1.rdata[7]\);
    
    \U1/P12_xaddr_4_i_m2[11]\ : MX2C
      port map(A => \U1/raddr[11]\, B => \U1/un2_xaddr[11]\, S
         => \U1/state2[1]_net_1\, Y => \U1/N_1628\);
    
    \U1/un1_end_adr_ADD_19x19_slow_I8_un1_CO1\ : AO13
      port map(A => \U1/raddr[8]\, B => \U1/waddr[8]_net_1\, C
         => \U1/N223\, Y => \U1/I8_un1_CO1\);
    
    \U1/un5_ebulk_0_a2_0_a2\ : NOR3A
      port map(A => \U1/N_1924\, B => \U1/N_1742_1\, C => 
        \U1/N_1662\, Y => \U1/un5_ebulk_0_a2_0_a2_net_1\);
    
    \CLK_pad/U0/U0\ : IOPAD_IN
      port map(PAD => CLK, Y => \CLK_pad/U0/NET1\);
    
    \U1/un2_xaddr_ADD_19x19_slow_I12_S\ : XNOR2
      port map(A => \U1/xaddr[12]_net_1\, B => \U1/N234\, Y => 
        \U1/un2_xaddr[12]\);
    
    \U1/P12_wptr_4_i_m2[0]\ : MX2
      port map(A => \U1/DWACT_ADD_CI_0_partial_sum[0]\, B => 
        \U1/start[0]_net_1\, S => \U1/state2_0[8]_net_1\, Y => 
        \U1/wptr_4_i_m2[0]\);
    
    \U1/state2_ns_i_a2_i_0_a2_0_0[9]\ : OA1C
      port map(A => \U1/N_1778\, B => \U1/state2[5]_net_1\, C => 
        \U1/N_1801\, Y => \U1/state2_ns_i_a2_i_0_a2_0[9]_net_1\);
    
    \U1/P12_xaddr_4_i_a2[17]\ : XA1C
      port map(A => \U1/I16_un1_CO1\, B => \U1/xaddr[17]_net_1\, 
        C => \U1/N_1926\, Y => \U1/N_1723\);
    
    \U1/state2_ns_i_a2_i_0_a2[3]\ : NOR2A
      port map(A => \U1/state2[6]_net_1\, B => nvm_busy, Y => 
        \U1/N_1735\);
    
    \U1/wdata[2]/U1\ : DFN1C1
      port map(D => \U1/wdata[2]/Y\, CLK => CLK_c, CLR => 
        \U1/N_1471_0\, Q => \U1/wdata[2]\);
    
    \U1/state2_ns_i_a2_0_0_a2_2_4[8]\ : NOR3C
      port map(A => \U1/xaddr[8]_net_1\, B => 
        \U1/xaddr[10]_net_1\, C => \U1/xaddr[9]_net_1\, Y => 
        \U1/state2_ns_i_a2_0_0_a2_2_4[8]_net_1\);
    
    \U1/webit\ : DFN1C1
      port map(D => \U1/iwebit_1\, CLK => clk60M, CLR => RST_c, Q
         => \U1/webit_net_1\);
    
    \U1/un1_end_adr_ADD_19x19_slow_I0_un1_CO1\ : NOR2B
      port map(A => \U1/waddr[0]_net_1\, B => \U1/raddr[0]\, Y
         => \U1/I0_un1_CO1\);
    
    \U1/state2_ns_i_a2_i_0_a2_2[9]\ : OR3B
      port map(A => \U1/N_1804\, B => \U1/N_1730\, C => 
        \U1/N_1572\, Y => \U1/N_1740\);
    
    \U1/state2_tr11_i_0\ : NOR3C
      port map(A => \U1/state2[7]_net_1\, B => nvm_busy, C => 
        \U1/N_1552\, Y => \U1/state2_tr11_i_0_net_1\);
    
    \U1/un1_inc_I_27\ : AND2
      port map(A => \U1/raddr[3]\, B => \U1/raddr[4]\, Y => 
        \U1/DWACT_FINC_E[1]\);
    
    \U1/state2_ns_i_a2_0_0_a2_2_6[8]\ : NOR3C
      port map(A => \U1/xaddr[15]_net_1\, B => 
        \U1/xaddr[7]_net_1\, C => 
        \U1/state2_ns_i_a2_0_0_a2_2_4[8]_net_1\, Y => 
        \U1/state2_ns_i_a2_0_0_a2_2_6[8]_net_1\);
    
    \U2/nvm_dout[0]\ : MX2
      port map(A => \U2/adata[0]\, B => \U2/bdata[0]\, S => 
        \nvm_addr_0[18]\, Y => \nvm_dout[0]\);
    
    \U1/wdata[3]/U1\ : DFN1C1
      port map(D => \U1/wdata[3]/Y\, CLK => CLK_c, CLR => 
        \U1/N_1471_0\, Q => \U1/wdata[3]\);
    
    \U1/P6_waddr_3_I_36\ : AX1C
      port map(A => \U1/DWACT_ADD_CI_0_g_array_2[0]\, B => 
        \U1/DWACT_ADD_CI_0_pog_array_2[0]\, C => 
        \U1/waddr[8]_net_1\, Y => \U1/waddr_3[8]\);
    
    \U1/G1_18_P4_raddr[18]\ : DFN1E1C1
      port map(D => \U1/N_1661\, CLK => CLK_c, CLR => RST_c, E
         => \U1/un138_state\, Q => \U1/raddr[18]\);
    
    \U1/P5_rdata_4_2_0_o2[0]\ : OR3
      port map(A => \U1/bit_cnt_0[1]_net_1\, B => 
        \U1/bit_cnt_0[2]_net_1\, C => \U1/bit_cnt_0[0]_net_1\, Y
         => \U1/N_1522\);
    
    \U1/un1_wptr_I_32\ : XOR2
      port map(A => \U1/wptr[2]_net_1\, B => 
        \U1/DWACT_ADD_CI_0_g_array_1_1[0]\, Y => \U1/I_32\);
    
    \U1/xaddr[3]\ : DFN1E1C1
      port map(D => \U1/xaddr_4[3]\, CLK => clk60M, CLR => RST_c, 
        E => \U1/N_1371_0\, Q => \U1/xaddr[3]_net_1\);
    
    \U1/P12_xaddr_4_r[0]\ : NOR3A
      port map(A => \U1/N_1538_0\, B => \U1/N_1617\, C => 
        \U1/addr_ld_0_sqmuxa_0\, Y => \U1/xaddr_4[0]\);
    
    \U1/addr_i_m2_i_m2[9]\ : MX2
      port map(A => \U1/xaddr[9]_net_1\, B => \U1/raddr[9]\, S
         => \U1/state2[9]_net_1\, Y => \nvm_addr[9]\);
    
    \U1/wptr[2]\ : DFN1C1
      port map(D => \U1/wptr_4_i_m2[2]\, CLK => clk60M, CLR => 
        RST_c, Q => \U1/wptr[2]_net_1\);
    
    \U1/un2_bit_cnt_1_SUM1\ : XOR2
      port map(A => \U1/bit_cnt_0[1]_net_1\, B => 
        \U1/bit_cnt_0[0]_net_1\, Y => \U1/SUM1\);
    
    \U1/P9_swrite_1_0_0_a2_1_0\ : NOR3B
      port map(A => \U1/N_1551\, B => \U1/dly_write_i\, C => 
        \U1/N_897_3\, Y => \U1/swrite_1_0_0_a2_1\);
    
    \U1/P9_swrite_1_0_0\ : AO1A
      port map(A => \U1/state2[0]_net_1\, B => \U1/swrite_net_1\, 
        C => \U1/N_1693\, Y => \U1/swrite_1\);
    
    \U1/G1_3_P4_un33_state_0_0_a2_0\ : NOR2A
      port map(A => \U1/state_0[4]_net_1\, B => 
        \U1/bit_cnt_0[0]_net_1\, Y => \U1/un33_state_0_0_a2_0\);
    
    \U1/wdata[6]/U0\ : MX2
      port map(A => \U1/wdata[6]\, B => \U1/wdata[5]\, S => 
        \U1/state[2]_net_1\, Y => \U1/wdata[6]/Y\);
    
    \U1/un5_esector_i_0_a2\ : OR3B
      port map(A => \U1/raddr[18]\, B => \U1/raddr[17]\, C => 
        \U1/N_1586\, Y => \U1/N_1731\);
    
    \U1/P12_xaddr_4_r[15]\ : NOR3A
      port map(A => \U1/N_1538\, B => \U1/N_1632\, C => 
        \U1/addr_ld_0_sqmuxa\, Y => \U1/xaddr_4[15]\);
    
    \U1/state2_tr12_i_0_a2_0_10\ : NOR3A
      port map(A => \U1/state2_tr12_i_0_a2_0_2_net_1\, B => 
        \U1/xaddr[5]_net_1\, C => \U1/xaddr[7]_net_1\, Y => 
        \U1/state2_tr12_i_0_a2_0_10_net_1\);
    
    \U1/start[6]\ : DFN1C1
      port map(D => \U1/start_3[6]\, CLK => CLK_c, CLR => 
        \U1/un21_rstn_i_a2_i\, Q => \U1/start[6]_net_1\);
    
    \U1/un2_xaddr_ADD_19x19_slow_I2_un1_CO1\ : OR3B
      port map(A => \U1/xaddr[1]_net_1\, B => \U1/xaddr[2]_net_1\, 
        C => \U1/I0_un1_CO1_0\, Y => \U1/I2_un1_CO1_0\);
    
    \U1/P9_ssector_1_0_0_a2_0\ : OR2A
      port map(A => \U1/ssector_net_1\, B => \U1/state2[0]_net_1\, 
        Y => \U1/N_1692\);
    
    \U1/state2_ns_i_a2_i[2]\ : AO1A
      port map(A => nvm_busy, B => \U1/state2[7]_net_1\, C => 
        \U1/N_1371_0\, Y => \U1/state2_ns_i_a2_i[2]_net_1\);
    
    \U1/G1_12_P4_un96_state_0_0_a2\ : NOR3A
      port map(A => \U1/bit_cnt[0]_net_1\, B => 
        \U1/bit_cnt[2]_net_1\, C => \U1/N_1598\, Y => 
        \U1/un96_state\);
    
    \U1/G1_6_P4_raddr[6]\ : DFN1E1C1
      port map(D => \U1/N_1652\, CLK => CLK_c, CLR => RST_c, E
         => \U1/un54_state\, Q => \U1/raddr[6]\);
    
    \U1/G1_0_P4_raddr_0_21x\ : XOR2
      port map(A => \U1/N_1669\, B => \U1/raddr[0]\, Y => 
        \U1/N_1932_i\);
    
    \RST_pad/U0/U0\ : IOPAD_IN
      port map(PAD => RST, Y => \RST_pad/U0/NET1\);
    
    \U1/un5_esector_i_0_o2_6\ : OR2B
      port map(A => \U1/cmnd[7]_net_1\, B => \U1/cmnd[6]_net_1\, 
        Y => \U1/N_1529\);
    
    \U1/P12_xaddr_4_i_a2[16]\ : XA1B
      port map(A => \U1/N250\, B => \U1/xaddr[16]_net_1\, C => 
        \U1/N_1926\, Y => \U1/N_1720\);
    
    \U1/P12_xaddr_4_i_o2_0[0]\ : OR2A
      port map(A => \U1/state2_0[8]_net_1\, B => \U1/N_1534\, Y
         => \U1/N_1538_0\);
    
    \U1/state_tr0_3_a2_3\ : OR2
      port map(A => \U1/state_tr0_3_a2_3_1_net_1\, B => 
        \U1/N_1770_1\, Y => \U1/N_1770\);
    
    \U1/wdis_dly\ : DFN1C1
      port map(D => \U1/un2_idis_0_o2_net_1\, CLK => clk60M, CLR
         => RST_c, Q => \U1/wdis_dly_net_1\);
    
    \U1/G1_4_P4_raddr_37_i_m2_i_m2[4]\ : MX2
      port map(A => \U1/I_20\, B => DI_c_1, S => 
        \U1/bit_cnt_0[1]_net_1\, Y => \U1/N_1655\);
    
    \U1/un1_inc_I_20\ : AX1C
      port map(A => \U1/raddr[3]\, B => \U1/DWACT_FINC_E[0]\, C
         => \U1/raddr[4]\, Y => \U1/I_20\);
    
    \U1/state_tr0_3_a2_2\ : OR3B
      port map(A => \U1/state_tr0_3_a2_2_1_net_1\, B => 
        \U1/state_tr0_3_a2_2_0_net_1\, C => \U1/N_1769_1\, Y => 
        \U1/N_1769_i\);
    
    \U1/P6_waddr_3_I_37\ : AX1C
      port map(A => \U1/DWACT_ADD_CI_0_g_array_1[0]\, B => 
        \U1/waddr[2]_net_1\, C => \U1/waddr[3]_net_1\, Y => 
        \U1/waddr_3[3]\);
    
    \U1/G1_16_P4_un124_state_0_0\ : AO1B
      port map(A => \U1/N_1783_0\, B => \U1/state[6]_net_1\, C
         => \U1/N_1669\, Y => \U1/un124_state\);
    
    \U1/state2_tr12_i_0_a2_0\ : NOR2B
      port map(A => \U1/state2_tr12_i_0_a2_0_16_net_1\, B => 
        \U1/state2_tr12_i_0_a2_0_15_net_1\, Y => \U1/N_1730\);
    
    \U1/P5_rdata_4_1_0[6]\ : AO1C
      port map(A => \U1/N_1784\, B => \nvm_dout[6]\, C => 
        \U1/N_1716\, Y => \U1/rdata_4[6]\);
    
    GND_power_inst1 : GND
      port map( Y => GND_power_net1);

    VCC_power_inst1 : VCC
      port map( Y => VCC_power_net1);


end DEF_ARCH; 
